if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "af-NA",
        data: {
            year: {
                '0': 'hierdie jaar',
                '1': 'volgende jaar',
                '-1': 'verlede jaar',
                future: {
                    one: 'oor {0} jaar',
                    other: 'oor {0} jaar'
                },
                past: {
                    one: '{0} jaar gelede',
                    other: '{0} jaar gelede'
                }
            },
            'year-short': {
                future: {
                    one: 'oor {0} j.',
                    other: 'oor {0} j.'
                },
                past: {
                    one: '{0} j. gelede',
                    other: '{0} j. gelede'
                }
            },
            'year-narrow': {
                future: {
                    one: 'oor {0} j.',
                    other: 'oor {0} j.'
                },
                past: {
                    one: '{0} j. gelede',
                    other: '{0} j. gelede'
                }
            },
            quarter: {
                '0': 'hierdie kwartaal',
                '1': 'volgende kwartaal',
                '-1': 'verlede kwartaal',
                future: {
                    one: 'oor {0} kwartaal',
                    other: 'oor {0} kwartale'
                },
                past: {
                    one: '{0} kwartaal gelede',
                    other: '{0} kwartale gelede'
                }
            },
            'quarter-short': {
                future: {
                    one: 'oor {0} kw.',
                    other: 'oor {0} kw.'
                },
                past: {
                    one: '{0} kw. gelede',
                    other: '{0} kw. gelede'
                }
            },
            'quarter-narrow': {
                future: {
                    one: 'oor {0} kw.',
                    other: 'oor {0} kw.'
                },
                past: {
                    one: '{0} kw. gelede',
                    other: '{0} kw. gelede'
                }
            },
            month: {
                '0': 'vandeesmaand',
                '1': 'volgende maand',
                '-1': 'verlede maand',
                future: {
                    one: 'oor {0} maand',
                    other: 'oor {0} maande'
                },
                past: {
                    one: '{0} maand gelede',
                    other: '{0} maande gelede'
                }
            },
            'month-short': {
                future: {
                    one: 'oor {0} md.',
                    other: 'oor {0} md.'
                },
                past: {
                    one: '{0} md. gelede',
                    other: '{0} md. gelede'
                }
            },
            'month-narrow': {
                future: {
                    one: 'oor {0} md.',
                    other: 'oor {0} md.'
                },
                past: {
                    one: '{0} md. gelede',
                    other: '{0} md. gelede'
                }
            },
            week: {
                '0': 'hierdie week',
                '1': 'volgende week',
                '-1': 'verlede week',
                future: {
                    one: 'oor {0} week',
                    other: 'oor {0} weke'
                },
                past: {
                    one: '{0} week gelede',
                    other: '{0} weke gelede'
                }
            },
            'week-short': {
                future: {
                    one: 'oor {0} w.',
                    other: 'oor {0} w.'
                },
                past: {
                    one: '{0} w. gelede',
                    other: '{0} w. gelede'
                }
            },
            'week-narrow': {
                future: {
                    one: 'oor {0} w.',
                    other: 'oor {0} w.'
                },
                past: {
                    one: '{0} w. gelede',
                    other: '{0} w. gelede'
                }
            },
            day: {
                '0': 'vandag',
                '1': 'môre',
                '2': 'oormôre',
                '-2': 'eergister',
                '-1': 'gister',
                future: {
                    one: 'oor {0} dag',
                    other: 'oor {0} dae'
                },
                past: {
                    one: '{0} dag gelede',
                    other: '{0} dae gelede'
                }
            },
            'day-short': {
                '0': 'vandag',
                '1': 'môre',
                '2': 'oormôre',
                '-2': 'eergister',
                '-1': 'gister',
                future: {
                    one: 'oor {0} dag',
                    other: 'oor {0} dae'
                },
                past: {
                    one: '{0} dag gelede',
                    other: '{0} dae gelede'
                }
            },
            'day-narrow': {
                '0': 'vandag',
                '1': 'môre',
                '2': 'oormôre',
                '-2': 'eergister',
                '-1': 'gister',
                future: {
                    one: 'oor {0} dag',
                    other: 'oor {0} dae'
                },
                past: {
                    one: '{0} dag gelede',
                    other: '{0} dae gelede'
                }
            },
            hour: {
                '0': 'hierdie uur',
                future: {
                    one: 'oor {0} uur',
                    other: 'oor {0} uur'
                },
                past: {
                    one: '{0} uur gelede',
                    other: '{0} uur gelede'
                }
            },
            'hour-short': {
                future: {
                    one: 'oor {0} u.',
                    other: 'oor {0} u.'
                },
                past: {
                    one: '{0} u. gelede',
                    other: '{0} u. gelede'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'oor {0} u.',
                    other: 'oor {0} u.'
                },
                past: {
                    one: '{0} u. gelede',
                    other: '{0} u. gelede'
                }
            },
            minute: {
                '0': 'hierdie minuut',
                future: {
                    one: 'oor {0} minuut',
                    other: 'oor {0} minute'
                },
                past: {
                    one: '{0} minuut gelede',
                    other: '{0} minute gelede'
                }
            },
            'minute-short': {
                future: {
                    one: 'oor {0} min.',
                    other: 'oor {0} min.'
                },
                past: {
                    one: '{0} min. gelede',
                    other: '{0} min. gelede'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'oor {0} min.',
                    other: 'oor {0} min.'
                },
                past: {
                    one: '{0} min. gelede',
                    other: '{0} min. gelede'
                }
            },
            second: {
                '0': 'nou',
                future: {
                    one: 'oor {0} sekonde',
                    other: 'oor {0} sekondes'
                },
                past: {
                    one: '{0} sekonde gelede',
                    other: '{0} sekondes gelede'
                }
            },
            'second-short': {
                future: {
                    one: 'oor {0} s.',
                    other: 'oor {0} s.'
                },
                past: {
                    one: '{0} s. gelede',
                    other: '{0} s. gelede'
                }
            },
            'second-narrow': {
                future: {
                    one: 'oor {0} s.',
                    other: 'oor {0} s.'
                },
                past: {
                    one: '{0} s. gelede',
                    other: '{0} s. gelede'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
