if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "da-DK",
        data: {
            year: {
                '0': 'i år',
                '1': 'næste år',
                '-1': 'sidste år',
                future: {
                    one: 'om {0} år',
                    other: 'om {0} år'
                },
                past: {
                    one: 'for {0} år siden',
                    other: 'for {0} år siden'
                }
            },
            'year-short': {
                '0': 'i år',
                '1': 'næste år',
                '-1': 'sidste år',
                future: {
                    one: 'om {0} år',
                    other: 'om {0} år'
                },
                past: {
                    one: 'for {0} år siden',
                    other: 'for {0} år siden'
                }
            },
            'year-narrow': {
                '0': 'i år',
                '1': 'næste år',
                '-1': 'sidste år',
                future: {
                    one: 'om {0} år',
                    other: 'om {0} år'
                },
                past: {
                    one: 'for {0} år siden',
                    other: 'for {0} år siden'
                }
            },
            quarter: {
                '0': 'dette kvartal',
                '1': 'næste kvartal',
                '-1': 'sidste kvartal',
                future: {
                    one: 'om {0} kvartal',
                    other: 'om {0} kvartaler'
                },
                past: {
                    one: 'for {0} kvartal siden',
                    other: 'for {0} kvartaler siden'
                }
            },
            'quarter-short': {
                '0': 'dette kvt.',
                '1': 'næste kvt.',
                '-1': 'sidste kvt.',
                future: {
                    one: 'om {0} kvt.',
                    other: 'om {0} kvt.'
                },
                past: {
                    one: 'for {0} kvt. siden',
                    other: 'for {0} kvt. siden'
                }
            },
            'quarter-narrow': {
                '0': 'dette kvt.',
                '1': 'næste kvt.',
                '-1': 'sidste kvt.',
                future: {
                    one: 'om {0} kvt.',
                    other: 'om {0} kvt.'
                },
                past: {
                    one: 'for {0} kvt. siden',
                    other: 'for {0} kvt. siden'
                }
            },
            month: {
                '0': 'denne måned',
                '1': 'næste måned',
                '-1': 'sidste måned',
                future: {
                    one: 'om {0} måned',
                    other: 'om {0} måneder'
                },
                past: {
                    one: 'for {0} måned siden',
                    other: 'for {0} måneder siden'
                }
            },
            'month-short': {
                '0': 'denne md.',
                '1': 'næste md.',
                '-1': 'sidste md.',
                future: {
                    one: 'om {0} md.',
                    other: 'om {0} mdr.'
                },
                past: {
                    one: 'for {0} md. siden',
                    other: 'for {0} mdr. siden'
                }
            },
            'month-narrow': {
                '0': 'denne md.',
                '1': 'næste md.',
                '-1': 'sidste md.',
                future: {
                    one: 'om {0} md.',
                    other: 'om {0} mdr.'
                },
                past: {
                    one: 'for {0} md. siden',
                    other: 'for {0} mdr. siden'
                }
            },
            week: {
                '0': 'denne uge',
                '1': 'næste uge',
                '-1': 'sidste uge',
                future: {
                    one: 'om {0} uge',
                    other: 'om {0} uger'
                },
                past: {
                    one: 'for {0} uge siden',
                    other: 'for {0} uger siden'
                }
            },
            'week-short': {
                '0': 'denne uge',
                '1': 'næste uge',
                '-1': 'sidste uge',
                future: {
                    one: 'om {0} uge',
                    other: 'om {0} uger'
                },
                past: {
                    one: 'for {0} uge siden',
                    other: 'for {0} uger siden'
                }
            },
            'week-narrow': {
                '0': 'denne uge',
                '1': 'næste uge',
                '-1': 'sidste uge',
                future: {
                    one: 'om {0} uge',
                    other: 'om {0} uger'
                },
                past: {
                    one: 'for {0} uge siden',
                    other: 'for {0} uger siden'
                }
            },
            day: {
                '0': 'i dag',
                '1': 'i morgen',
                '2': 'i overmorgen',
                '-2': 'i forgårs',
                '-1': 'i går',
                future: {
                    one: 'om {0} dag',
                    other: 'om {0} dage'
                },
                past: {
                    one: 'for {0} dag siden',
                    other: 'for {0} dage siden'
                }
            },
            'day-short': {
                '0': 'i dag',
                '1': 'i morgen',
                '2': 'i overmorgen',
                '-2': 'i forgårs',
                '-1': 'i går',
                future: {
                    one: 'om {0} dag',
                    other: 'om {0} dage'
                },
                past: {
                    one: 'for {0} dag siden',
                    other: 'for {0} dage siden'
                }
            },
            'day-narrow': {
                '0': 'i dag',
                '1': 'i morgen',
                '2': 'i overmorgen',
                '-2': 'i forgårs',
                '-1': 'i går',
                future: {
                    one: 'om {0} dag',
                    other: 'om {0} dage'
                },
                past: {
                    one: 'for {0} dag siden',
                    other: 'for {0} dage siden'
                }
            },
            hour: {
                '0': 'i den kommende time',
                future: {
                    one: 'om {0} time',
                    other: 'om {0} timer'
                },
                past: {
                    one: 'for {0} time siden',
                    other: 'for {0} timer siden'
                }
            },
            'hour-short': {
                '0': 'denne time',
                future: {
                    one: 'om {0} time',
                    other: 'om {0} timer'
                },
                past: {
                    one: 'for {0} time siden',
                    other: 'for {0} timer siden'
                }
            },
            'hour-narrow': {
                '0': 'denne time',
                future: {
                    one: 'om {0} time',
                    other: 'om {0} timer'
                },
                past: {
                    one: 'for {0} time siden',
                    other: 'for {0} timer siden'
                }
            },
            minute: {
                '0': 'i det kommende minut',
                future: {
                    one: 'om {0} minut',
                    other: 'om {0} minutter'
                },
                past: {
                    one: 'for {0} minut siden',
                    other: 'for {0} minutter siden'
                }
            },
            'minute-short': {
                '0': 'dette min.',
                future: {
                    one: 'om {0} min.',
                    other: 'om {0} min.'
                },
                past: {
                    one: 'for {0} min. siden',
                    other: 'for {0} min. siden'
                }
            },
            'minute-narrow': {
                '0': 'dette min.',
                future: {
                    one: 'om {0} min.',
                    other: 'om {0} min.'
                },
                past: {
                    one: 'for {0} min. siden',
                    other: 'for {0} min. siden'
                }
            },
            second: {
                '0': 'nu',
                future: {
                    one: 'om {0} sekund',
                    other: 'om {0} sekunder'
                },
                past: {
                    one: 'for {0} sekund siden',
                    other: 'for {0} sekunder siden'
                }
            },
            'second-short': {
                future: {
                    one: 'om {0} sek.',
                    other: 'om {0} sek.'
                },
                past: {
                    one: 'for {0} sek. siden',
                    other: 'for {0} sek. siden'
                }
            },
            'second-narrow': {
                future: {
                    one: 'om {0} sek.',
                    other: 'om {0} sek.'
                },
                past: {
                    one: 'for {0} sek. siden',
                    other: 'for {0} sek. siden'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
