if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "el-CY",
        data: {
            year: {
                '0': 'φέτος',
                '1': 'επόμενο έτος',
                '-1': 'πέρσι',
                future: {
                    one: 'σε {0} έτος',
                    other: 'σε {0} έτη'
                },
                past: {
                    one: 'πριν από {0} έτος',
                    other: 'πριν από {0} έτη'
                }
            },
            'year-short': {
                '0': 'φέτος',
                '1': 'επόμενο έτος',
                '-1': 'πέρσι',
                future: {
                    one: 'σε {0} έτος',
                    other: 'σε {0} έτη'
                },
                past: {
                    one: 'πριν από {0} έτος',
                    other: 'πριν από {0} έτη'
                }
            },
            'year-narrow': {
                '0': 'φέτος',
                '1': 'επόμενο έτος',
                '-1': 'πέρσι',
                future: {
                    one: 'σε {0} έτος',
                    other: 'σε {0} έτη'
                },
                past: {
                    one: '{0} έτος πριν',
                    other: '{0} έτη πριν'
                }
            },
            quarter: {
                '0': 'τρέχον τρίμηνο',
                '1': 'επόμενο τρίμηνο',
                '-1': 'προηγούμενο τρίμηνο',
                future: {
                    one: 'σε {0} τρίμηνο',
                    other: 'σε {0} τρίμηνα'
                },
                past: {
                    one: 'πριν από {0} τρίμηνο',
                    other: 'πριν από {0} τρίμηνα'
                }
            },
            'quarter-short': {
                '0': 'τρέχον τρίμ.',
                '1': 'επόμ. τρίμ.',
                '-1': 'προηγ. τρίμ.',
                future: {
                    one: 'σε {0} τρίμ.',
                    other: 'σε {0} τρίμ.'
                },
                past: {
                    one: 'πριν από {0} τρίμ.',
                    other: 'πριν από {0} τρίμ.'
                }
            },
            'quarter-narrow': {
                '0': 'τρέχον τρίμ.',
                '1': 'επόμ. τρίμ.',
                '-1': 'προηγ. τρίμ.',
                future: {
                    one: 'σε {0} τρίμ.',
                    other: 'σε {0} τρίμ.'
                },
                past: {
                    one: '{0} τρίμ. πριν',
                    other: '{0} τρίμ. πριν'
                }
            },
            month: {
                '0': 'τρέχων μήνας',
                '1': 'επόμενος μήνας',
                '-1': 'προηγούμενος μήνας',
                future: {
                    one: 'σε {0} μήνα',
                    other: 'σε {0} μήνες'
                },
                past: {
                    one: 'πριν από {0} μήνα',
                    other: 'πριν από {0} μήνες'
                }
            },
            'month-short': {
                future: {
                    one: 'σε {0} μήνα',
                    other: 'σε {0} μήνες'
                },
                past: {
                    one: 'πριν από {0} μήνα',
                    other: 'πριν από {0} μήνες'
                }
            },
            'month-narrow': {
                future: {
                    one: 'σε {0} μ.',
                    other: 'σε {0} μ.'
                },
                past: {
                    one: '{0} μ. πριν',
                    other: '{0} μ. πριν'
                }
            },
            week: {
                '0': 'τρέχουσα εβδομάδα',
                '1': 'επόμενη εβδομάδα',
                '-1': 'προηγούμενη εβδομάδα',
                future: {
                    one: 'σε {0} εβδομάδα',
                    other: 'σε {0} εβδομάδες'
                },
                past: {
                    one: 'πριν από {0} εβδομάδα',
                    other: 'πριν από {0} εβδομάδες'
                }
            },
            'week-short': {
                future: {
                    one: 'σε {0} εβδ.',
                    other: 'σε {0} εβδ.'
                },
                past: {
                    one: 'πριν από {0} εβδ.',
                    other: 'πριν από {0} εβδ.'
                }
            },
            'week-narrow': {
                future: {
                    one: 'σε {0} εβδ.',
                    other: 'σε {0} εβδ.'
                },
                past: {
                    one: '{0} εβδ. πριν',
                    other: '{0} εβδ. πριν'
                }
            },
            day: {
                '0': 'σήμερα',
                '1': 'αύριο',
                '2': 'μεθαύριο',
                '-2': 'προχθές',
                '-1': 'χθες',
                future: {
                    one: 'σε {0} ημέρα',
                    other: 'σε {0} ημέρες'
                },
                past: {
                    one: 'πριν από {0} ημέρα',
                    other: 'πριν από {0} ημέρες'
                }
            },
            'day-short': {
                '0': 'σήμερα',
                '1': 'αύριο',
                '-1': 'χθες',
                future: {
                    one: 'σε {0} ημ.',
                    other: 'σε {0} ημ.'
                },
                past: {
                    one: 'πριν από {0} ημ.',
                    other: 'πριν από {0} ημ.'
                }
            },
            'day-narrow': {
                '0': 'σήμερα',
                '1': 'αύριο',
                '-1': 'χθες',
                future: {
                    one: 'σε {0} ημ.',
                    other: 'σε {0} ημ.'
                },
                past: {
                    one: '{0} ημ. πριν',
                    other: '{0} ημ. πριν'
                }
            },
            hour: {
                '0': 'τρέχουσα ώρα',
                future: {
                    one: 'σε {0} ώρα',
                    other: 'σε {0} ώρες'
                },
                past: {
                    one: 'πριν από {0} ώρα',
                    other: 'πριν από {0} ώρες'
                }
            },
            'hour-short': {
                future: {
                    one: 'σε {0} ώ.',
                    other: 'σε {0} ώ.'
                },
                past: {
                    one: 'πριν από {0} ώ.',
                    other: 'πριν από {0} ώ.'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'σε {0} ώ.',
                    other: 'σε {0} ώ.'
                },
                past: {
                    one: '{0} ώ. πριν',
                    other: '{0} ώ. πριν'
                }
            },
            minute: {
                '0': 'τρέχον λεπτό',
                future: {
                    one: 'σε {0} λεπτό',
                    other: 'σε {0} λεπτά'
                },
                past: {
                    one: 'πριν από {0} λεπτό',
                    other: 'πριν από {0} λεπτά'
                }
            },
            'minute-short': {
                future: {
                    one: 'σε {0} λεπ.',
                    other: 'σε {0} λεπ.'
                },
                past: {
                    one: 'πριν από {0} λεπ.',
                    other: 'πριν από {0} λεπ.'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'σε {0} λ.',
                    other: 'σε {0} λ.'
                },
                past: {
                    one: '{0} λ. πριν',
                    other: '{0} λ. πριν'
                }
            },
            second: {
                '0': 'τώρα',
                future: {
                    one: 'σε {0} δευτερόλεπτο',
                    other: 'σε {0} δευτερόλεπτα'
                },
                past: {
                    one: 'πριν από {0} δευτερόλεπτο',
                    other: 'πριν από {0} δευτερόλεπτα'
                }
            },
            'second-short': {
                future: {
                    one: 'σε {0} δευτ.',
                    other: 'σε {0} δευτ.'
                },
                past: {
                    one: 'πριν από {0} δευτ.',
                    other: 'πριν από {0} δευτ.'
                }
            },
            'second-narrow': {
                future: {
                    one: 'σε {0} δ.',
                    other: 'σε {0} δ.'
                },
                past: {
                    one: '{0} δ. πριν',
                    other: '{0} δ. πριν'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
