if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "es-US",
        data: {
            year: {
                '0': 'este año',
                '1': 'el año próximo',
                '-1': 'el año pasado',
                future: {
                    one: 'dentro de {0} año',
                    other: 'dentro de {0} años'
                },
                past: {
                    one: 'hace {0} año',
                    other: 'hace {0} años'
                }
            },
            'year-short': {
                '0': 'este año',
                '1': 'el próximo año',
                '-1': 'el año pasado',
                future: {
                    one: 'dentro de {0} a',
                    other: 'dentro de {0} a'
                },
                past: {
                    one: 'hace {0} a',
                    other: 'hace {0} a'
                }
            },
            'year-narrow': {
                '0': 'este año',
                '1': 'el próximo año',
                '-1': 'el año pasado',
                future: {
                    one: 'dentro de {0} a',
                    other: 'dentro de {0} a'
                },
                past: {
                    one: 'hace {0} a',
                    other: 'hace {0} a'
                }
            },
            quarter: {
                '0': 'este trimestre',
                '1': 'el próximo trimestre',
                '-1': 'el trimestre pasado',
                future: {
                    one: 'dentro de {0} trimestre',
                    other: 'dentro de {0} trimestres'
                },
                past: {
                    one: 'hace {0} trimestre',
                    other: 'hace {0} trimestres'
                }
            },
            'quarter-short': {
                future: {
                    one: 'dentro de {0} trim.',
                    other: 'dentro de {0} trim.'
                },
                past: {
                    one: 'hace {0} trim.',
                    other: 'hace {0} trim.'
                }
            },
            'quarter-narrow': {
                future: {
                    one: 'dentro de {0} trim.',
                    other: 'dentro de {0} trim.'
                },
                past: {
                    one: 'hace {0} trim.',
                    other: 'hace {0} trim.'
                }
            },
            month: {
                '0': 'este mes',
                '1': 'el mes próximo',
                '-1': 'el mes pasado',
                future: {
                    one: 'dentro de {0} mes',
                    other: 'dentro de {0} meses'
                },
                past: {
                    one: 'hace {0} mes',
                    other: 'hace {0} meses'
                }
            },
            'month-short': {
                '0': 'este mes',
                '1': 'el próximo mes',
                '-1': 'el mes pasado',
                future: {
                    one: 'dentro de {0} m',
                    other: 'dentro de {0} m'
                },
                past: {
                    one: 'hace {0} m',
                    other: 'hace {0} m'
                }
            },
            'month-narrow': {
                '0': 'este mes',
                '1': 'el próximo mes',
                '-1': 'el mes pasado',
                future: {
                    one: 'dentro de {0} m',
                    other: 'dentro de {0} m'
                },
                past: {
                    one: 'hace {0} m',
                    other: 'hace {0} m'
                }
            },
            week: {
                '0': 'esta semana',
                '1': 'la semana próxima',
                '-1': 'la semana pasada',
                future: {
                    one: 'dentro de {0} semana',
                    other: 'dentro de {0} semanas'
                },
                past: {
                    one: 'hace {0} semana',
                    other: 'hace {0} semanas'
                }
            },
            'week-short': {
                future: {
                    one: 'dentro de {0} sem.',
                    other: 'dentro de {0} sem.'
                },
                past: {
                    one: 'hace {0} sem.',
                    other: 'hace {0} sem.'
                }
            },
            'week-narrow': {
                future: {
                    one: 'dentro de {0} sem.',
                    other: 'dentro de {0} sem.'
                },
                past: {
                    one: 'hace {0} sem.',
                    other: 'hace {0} sem.'
                }
            },
            day: {
                '0': 'hoy',
                '1': 'mañana',
                '2': 'pasado mañana',
                '-1': 'ayer',
                '-2': 'anteayer',
                future: {
                    one: 'dentro de {0} día',
                    other: 'dentro de {0} días'
                },
                past: {
                    one: 'hace {0} día',
                    other: 'hace {0} días'
                }
            },
            'day-short': {
                '0': 'hoy',
                '1': 'mañana',
                '2': 'pasado mañana',
                '-2': 'anteayer',
                '-1': 'ayer',
                future: {
                    one: 'dentro de {0} día',
                    other: 'dentro de {0} días'
                },
                past: {
                    one: 'hace {0} día',
                    other: 'hace {0} días'
                }
            },
            'day-narrow': {
                '0': 'hoy',
                '1': 'mañana',
                '2': 'pasado mañana',
                '-2': 'anteayer',
                '-1': 'ayer',
                future: {
                    one: 'dentro de {0} día',
                    other: 'dentro de {0} días'
                },
                past: {
                    one: 'hace {0} día',
                    other: 'hace {0} días'
                }
            },
            hour: {
                '0': 'esta hora',
                future: {
                    one: 'dentro de {0} hora',
                    other: 'dentro de {0} horas'
                },
                past: {
                    one: 'hace {0} hora',
                    other: 'hace {0} horas'
                }
            },
            'hour-short': {
                future: {
                    one: 'dentro de {0} h',
                    other: 'dentro de {0} h'
                },
                past: {
                    one: 'hace {0} h',
                    other: 'hace {0} h'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'dentro de {0} h',
                    other: 'dentro de {0} h'
                },
                past: {
                    one: 'hace {0} h',
                    other: 'hace {0} h'
                }
            },
            minute: {
                '0': 'este minuto',
                future: {
                    one: 'dentro de {0} minuto',
                    other: 'dentro de {0} minutos'
                },
                past: {
                    one: 'hace {0} minuto',
                    other: 'hace {0} minutos'
                }
            },
            'minute-short': {
                future: {
                    one: 'dentro de {0} min',
                    other: 'dentro de {0} min'
                },
                past: {
                    one: 'hace {0} min',
                    other: 'hace {0} min'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'dentro de {0} min',
                    other: 'dentro de {0} min'
                },
                past: {
                    one: 'hace {0} min',
                    other: 'hace {0} min'
                }
            },
            second: {
                '0': 'ahora',
                future: {
                    one: 'dentro de {0} segundo',
                    other: 'dentro de {0} segundos'
                },
                past: {
                    one: 'hace {0} segundo',
                    other: 'hace {0} segundos'
                }
            },
            'second-short': {
                future: {
                    one: 'dentro de {0} s',
                    other: 'dentro de {0} s'
                },
                past: {
                    one: 'hace {0} s',
                    other: 'hace {0} s'
                }
            },
            'second-narrow': {
                future: {
                    one: 'dentro de {0} s',
                    other: 'dentro de {0} s'
                },
                past: {
                    one: 'hace {0} s',
                    other: 'hace {0} s'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
