if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "fi-FI",
        data: {
            year: {
                '0': 'tänä vuonna',
                '1': 'ensi vuonna',
                '-1': 'viime vuonna',
                future: {
                    one: '{0} vuoden päästä',
                    other: '{0} vuoden päästä'
                },
                past: {
                    one: '{0} vuosi sitten',
                    other: '{0} vuotta sitten'
                }
            },
            'year-short': {
                '0': 'tänä v',
                '1': 'ensi v',
                '-1': 'viime v',
                future: {
                    one: '{0} v päästä',
                    other: '{0} v päästä'
                },
                past: {
                    one: '{0} v sitten',
                    other: '{0} v sitten'
                }
            },
            'year-narrow': {
                '0': 'tänä v',
                '1': 'ensi v',
                '-1': 'viime v',
                future: {
                    one: '{0} v päästä',
                    other: '{0} v päästä'
                },
                past: {
                    one: '{0} v sitten',
                    other: '{0} v sitten'
                }
            },
            quarter: {
                '0': 'tänä neljännesvuonna',
                '1': 'ensi neljännesvuonna',
                '-1': 'viime neljännesvuonna',
                future: {
                    one: '{0} neljännesvuoden päästä',
                    other: '{0} neljännesvuoden päästä'
                },
                past: {
                    one: '{0} neljännesvuosi sitten',
                    other: '{0} neljännesvuotta sitten'
                }
            },
            'quarter-short': {
                '0': 'tänä neljänneksenä',
                '1': 'ensi neljänneksenä',
                '-1': 'viime neljänneksenä',
                future: {
                    one: '{0} neljänneksen päästä',
                    other: '{0} neljänneksen päästä'
                },
                past: {
                    one: '{0} neljännes sitten',
                    other: '{0} neljännestä sitten'
                }
            },
            'quarter-narrow': {
                '0': 'tänä nelj.',
                '1': 'ensi nelj.',
                '-1': 'viime nelj.',
                future: {
                    one: '{0} nelj. päästä',
                    other: '{0} nelj. päästä'
                },
                past: {
                    one: '{0} nelj. sitten',
                    other: '{0} nelj. sitten'
                }
            },
            month: {
                '0': 'tässä kuussa',
                '1': 'ensi kuussa',
                '-1': 'viime kuussa',
                future: {
                    one: '{0} kuukauden päästä',
                    other: '{0} kuukauden päästä'
                },
                past: {
                    one: '{0} kuukausi sitten',
                    other: '{0} kuukautta sitten'
                }
            },
            'month-short': {
                '0': 'tässä kk',
                '1': 'ensi kk',
                '-1': 'viime kk',
                future: {
                    one: '{0} kk päästä',
                    other: '{0} kk päästä'
                },
                past: {
                    one: '{0} kk sitten',
                    other: '{0} kk sitten'
                }
            },
            'month-narrow': {
                '0': 'tässä kk',
                '1': 'ensi kk',
                '-1': 'viime kk',
                future: {
                    one: '{0} kk päästä',
                    other: '{0} kk päästä'
                },
                past: {
                    one: '{0} kk sitten',
                    other: '{0} kk sitten'
                }
            },
            week: {
                '0': 'tällä viikolla',
                '1': 'ensi viikolla',
                '-1': 'viime viikolla',
                future: {
                    one: '{0} viikon päästä',
                    other: '{0} viikon päästä'
                },
                past: {
                    one: '{0} viikko sitten',
                    other: '{0} viikkoa sitten'
                }
            },
            'week-short': {
                '0': 'tällä vk',
                '1': 'ensi vk',
                '-1': 'viime vk',
                future: {
                    one: '{0} vk päästä',
                    other: '{0} vk päästä'
                },
                past: {
                    one: '{0} vk sitten',
                    other: '{0} vk sitten'
                }
            },
            'week-narrow': {
                '0': 'tällä vk',
                '1': 'ensi vk',
                '-1': 'viime vk',
                future: {
                    one: '{0} vk päästä',
                    other: '{0} vk päästä'
                },
                past: {
                    one: '{0} vk sitten',
                    other: '{0} vk sitten'
                }
            },
            day: {
                '0': 'tänään',
                '1': 'huomenna',
                '2': 'ylihuomenna',
                '-2': 'toissa päivänä',
                '-1': 'eilen',
                future: {
                    one: '{0} päivän päästä',
                    other: '{0} päivän päästä'
                },
                past: {
                    one: '{0} päivä sitten',
                    other: '{0} päivää sitten'
                }
            },
            'day-short': {
                '0': 'tänään',
                '1': 'huom.',
                '2': 'ylihuom.',
                '-2': 'toissap.',
                '-1': 'eilen',
                future: {
                    one: '{0} pv päästä',
                    other: '{0} pv päästä'
                },
                past: {
                    one: '{0} pv sitten',
                    other: '{0} pv sitten'
                }
            },
            'day-narrow': {
                '0': 'tänään',
                '1': 'huom.',
                '2': 'ylihuom.',
                '-2': 'toissap.',
                '-1': 'eilen',
                future: {
                    one: '{0} pv päästä',
                    other: '{0} pv päästä'
                },
                past: {
                    one: '{0} pv sitten',
                    other: '{0} pv sitten'
                }
            },
            hour: {
                '0': 'tämän tunnin aikana',
                future: {
                    one: '{0} tunnin päästä',
                    other: '{0} tunnin päästä'
                },
                past: {
                    one: '{0} tunti sitten',
                    other: '{0} tuntia sitten'
                }
            },
            'hour-short': {
                '0': 'tunnin sisällä',
                future: {
                    one: '{0} t päästä',
                    other: '{0} t päästä'
                },
                past: {
                    one: '{0} t sitten',
                    other: '{0} t sitten'
                }
            },
            'hour-narrow': {
                '0': 'tunnin sisällä',
                future: {
                    one: '{0} t päästä',
                    other: '{0} t päästä'
                },
                past: {
                    one: '{0} t sitten',
                    other: '{0} t sitten'
                }
            },
            minute: {
                '0': 'tämän minuutin aikana',
                future: {
                    one: '{0} minuutin päästä',
                    other: '{0} minuutin päästä'
                },
                past: {
                    one: '{0} minuutti sitten',
                    other: '{0} minuuttia sitten'
                }
            },
            'minute-short': {
                '0': 'minuutin sisällä',
                future: {
                    one: '{0} min päästä',
                    other: '{0} min päästä'
                },
                past: {
                    one: '{0} min sitten',
                    other: '{0} min sitten'
                }
            },
            'minute-narrow': {
                '0': 'minuutin sisällä',
                future: {
                    one: '{0} min päästä',
                    other: '{0} min päästä'
                },
                past: {
                    one: '{0} min sitten',
                    other: '{0} min sitten'
                }
            },
            second: {
                '0': 'nyt',
                future: {
                    one: '{0} sekunnin päästä',
                    other: '{0} sekunnin päästä'
                },
                past: {
                    one: '{0} sekunti sitten',
                    other: '{0} sekuntia sitten'
                }
            },
            'second-short': {
                '0': 'nyt',
                future: {
                    one: '{0} s päästä',
                    other: '{0} s päästä'
                },
                past: {
                    one: '{0} s sitten',
                    other: '{0} s sitten'
                }
            },
            'second-narrow': {
                '0': 'nyt',
                future: {
                    one: '{0} s päästä',
                    other: '{0} s päästä'
                },
                past: {
                    one: '{0} s sitten',
                    other: '{0} s sitten'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
