if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "fr-TG",
        data: {
            year: {
                '0': 'cette année',
                '1': 'l’année prochaine',
                '-1': 'l’année dernière',
                future: {
                    one: 'dans {0} an',
                    other: 'dans {0} ans'
                },
                past: {
                    one: 'il y a {0} an',
                    other: 'il y a {0} ans'
                }
            },
            'year-short': {
                '0': 'cette année',
                '1': 'l’année prochaine',
                '-1': 'l’année dernière',
                future: {
                    one: 'dans {0} a',
                    other: 'dans {0} a'
                },
                past: {
                    one: 'il y a {0} a',
                    other: 'il y a {0} a'
                }
            },
            'year-narrow': {
                '0': 'cette année',
                '1': 'l’année prochaine',
                '-1': 'l’année dernière',
                future: {
                    one: '+{0} a',
                    other: '+{0} a'
                },
                past: {
                    one: '-{0} a',
                    other: '-{0} a'
                }
            },
            quarter: {
                '0': 'ce trimestre',
                '1': 'le trimestre prochain',
                '-1': 'le trimestre dernier',
                future: {
                    one: 'dans {0} trimestre',
                    other: 'dans {0} trimestres'
                },
                past: {
                    one: 'il y a {0} trimestre',
                    other: 'il y a {0} trimestres'
                }
            },
            'quarter-short': {
                '0': 'ce trim.',
                '1': 'le trim. proch.',
                '-1': 'le trim. dern.',
                future: {
                    one: 'dans {0} trim.',
                    other: 'dans {0} trim.'
                },
                past: {
                    one: 'il y a {0} trim.',
                    other: 'il y a {0} trim.'
                }
            },
            'quarter-narrow': {
                '0': 'ce trim.',
                '1': 'trim. proch.',
                '-1': 'trim. dern.',
                future: {
                    one: '+{0} trim.',
                    other: '+{0} trim.'
                },
                past: {
                    one: '-{0} trim.',
                    other: '-{0} trim.'
                }
            },
            month: {
                '0': 'ce mois-ci',
                '1': 'le mois prochain',
                '-1': 'le mois dernier',
                future: {
                    one: 'dans {0} mois',
                    other: 'dans {0} mois'
                },
                past: {
                    one: 'il y a {0} mois',
                    other: 'il y a {0} mois'
                }
            },
            'month-short': {
                '0': 'ce mois-ci',
                '1': 'le mois prochain',
                '-1': 'le mois dernier',
                future: {
                    one: 'dans {0} m.',
                    other: 'dans {0} m.'
                },
                past: {
                    one: 'il y a {0} m.',
                    other: 'il y a {0} m.'
                }
            },
            'month-narrow': {
                '0': 'ce mois-ci',
                '1': 'le mois prochain',
                '-1': 'le mois dernier',
                future: {
                    one: '+{0} m.',
                    other: '+{0} m.'
                },
                past: {
                    one: '-{0} m.',
                    other: '-{0} m.'
                }
            },
            week: {
                '0': 'cette semaine',
                '1': 'la semaine prochaine',
                '-1': 'la semaine dernière',
                future: {
                    one: 'dans {0} semaine',
                    other: 'dans {0} semaines'
                },
                past: {
                    one: 'il y a {0} semaine',
                    other: 'il y a {0} semaines'
                }
            },
            'week-short': {
                '0': 'cette semaine',
                '1': 'la semaine prochaine',
                '-1': 'la semaine dernière',
                future: {
                    one: 'dans {0} sem.',
                    other: 'dans {0} sem.'
                },
                past: {
                    one: 'il y a {0} sem.',
                    other: 'il y a {0} sem.'
                }
            },
            'week-narrow': {
                '0': 'cette semaine',
                '1': 'la semaine prochaine',
                '-1': 'la semaine dernière',
                future: {
                    one: '+{0} sem.',
                    other: '+{0} sem.'
                },
                past: {
                    one: '-{0} sem.',
                    other: '-{0} sem.'
                }
            },
            day: {
                '0': 'aujourd’hui',
                '1': 'demain',
                '2': 'après-demain',
                '-2': 'avant-hier',
                '-1': 'hier',
                future: {
                    one: 'dans {0} jour',
                    other: 'dans {0} jours'
                },
                past: {
                    one: 'il y a {0} jour',
                    other: 'il y a {0} jours'
                }
            },
            'day-short': {
                '0': 'aujourd’hui',
                '1': 'demain',
                '2': 'après-demain',
                '-2': 'avant-hier',
                '-1': 'hier',
                future: {
                    one: 'dans {0} j',
                    other: 'dans {0} j'
                },
                past: {
                    one: 'il y a {0} j',
                    other: 'il y a {0} j'
                }
            },
            'day-narrow': {
                '0': 'aujourd’hui',
                '1': 'demain',
                '2': 'après-demain',
                '-2': 'avant-hier',
                '-1': 'hier',
                future: {
                    one: '+{0} j',
                    other: '+{0} j'
                },
                past: {
                    one: '-{0} j',
                    other: '-{0} j'
                }
            },
            hour: {
                '0': 'cette heure-ci',
                future: {
                    one: 'dans {0} heure',
                    other: 'dans {0} heures'
                },
                past: {
                    one: 'il y a {0} heure',
                    other: 'il y a {0} heures'
                }
            },
            'hour-short': {
                '0': 'cette h',
                future: {
                    one: 'dans {0} h',
                    other: 'dans {0} h'
                },
                past: {
                    one: 'il y a {0} h',
                    other: 'il y a {0} h'
                }
            },
            'hour-narrow': {
                '0': 'cette h',
                future: {
                    one: '+{0} h',
                    other: '+{0} h'
                },
                past: {
                    one: '-{0} h',
                    other: '-{0} h'
                }
            },
            minute: {
                '0': 'cette minute-ci',
                future: {
                    one: 'dans {0} minute',
                    other: 'dans {0} minutes'
                },
                past: {
                    one: 'il y a {0} minute',
                    other: 'il y a {0} minutes'
                }
            },
            'minute-short': {
                '0': 'cette min',
                future: {
                    one: 'dans {0} min',
                    other: 'dans {0} min'
                },
                past: {
                    one: 'il y a {0} min',
                    other: 'il y a {0} min'
                }
            },
            'minute-narrow': {
                '0': 'cette min',
                future: {
                    one: '+{0} min',
                    other: '+{0} min'
                },
                past: {
                    one: '-{0} min',
                    other: '-{0} min'
                }
            },
            second: {
                '0': 'maintenant',
                future: {
                    one: 'dans {0} seconde',
                    other: 'dans {0} secondes'
                },
                past: {
                    one: 'il y a {0} seconde',
                    other: 'il y a {0} secondes'
                }
            },
            'second-short': {
                future: {
                    one: 'dans {0} s',
                    other: 'dans {0} s'
                },
                past: {
                    one: 'il y a {0} s',
                    other: 'il y a {0} s'
                }
            },
            'second-narrow': {
                future: {
                    one: '+{0} s',
                    other: '+{0} s'
                },
                past: {
                    one: '-{0} s',
                    other: '-{0} s'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
