if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "gl",
        data: {
            year: {
                '0': 'este ano',
                '1': 'o próximo ano',
                '-1': 'o ano pasado',
                future: {
                    one: 'en {0} ano',
                    other: 'en {0} anos'
                },
                past: {
                    one: 'hai {0} ano',
                    other: 'hai {0} anos'
                }
            },
            'year-short': {
                '0': 'este ano',
                '1': 'seguinte ano',
                '-1': 'ano pasado',
                future: {
                    one: 'en {0} ano',
                    other: 'en {0} anos'
                },
                past: {
                    one: 'hai {0} ano',
                    other: 'hai {0} anos'
                }
            },
            'year-narrow': {
                '0': 'este ano',
                '1': 'seguinte ano',
                '-1': 'ano pasado',
                future: {
                    one: 'en {0} ano',
                    other: 'en {0} anos'
                },
                past: {
                    one: 'hai {0} ano',
                    other: 'hai {0} anos'
                }
            },
            quarter: {
                '0': 'este trimestre',
                '1': 'o próximo trimestre',
                '-1': 'o trimestre pasado',
                future: {
                    one: 'en {0} trimestre',
                    other: 'en {0} trimestres'
                },
                past: {
                    one: 'hai {0} trimestre',
                    other: 'hai {0} trimestres'
                }
            },
            'quarter-short': {
                '0': 'este trim.',
                '1': 'trim. seguinte',
                '-1': 'trim. pasado',
                future: {
                    one: 'en {0} trim.',
                    other: 'en {0} trim.'
                },
                past: {
                    one: 'hai {0} trim.',
                    other: 'hai {0} trim.'
                }
            },
            'quarter-narrow': {
                '0': 'este trim.',
                '1': 'trim. seguinte',
                '-1': 'trim. pasado',
                future: {
                    one: 'en {0} trim.',
                    other: 'en {0} trim.'
                },
                past: {
                    one: 'hai {0} trim.',
                    other: 'hai {0} trim.'
                }
            },
            month: {
                '0': 'este mes',
                '1': 'o próximo mes',
                '-1': 'o mes pasado',
                future: {
                    one: 'en {0} mes',
                    other: 'en {0} meses'
                },
                past: {
                    one: 'hai {0} mes',
                    other: 'hai {0} meses'
                }
            },
            'month-short': {
                '0': 'este m.',
                '1': 'm. seguinte',
                '-1': 'm. pasado',
                future: {
                    one: 'en {0} mes',
                    other: 'en {0} meses'
                },
                past: {
                    one: 'hai {0} mes',
                    other: 'hai {0} meses'
                }
            },
            'month-narrow': {
                future: {
                    one: 'en {0} mes',
                    other: 'en {0} meses'
                },
                past: {
                    one: 'hai {0} mes',
                    other: 'hai {0} meses'
                }
            },
            week: {
                '0': 'esta semana',
                '1': 'a próxima semana',
                '-1': 'a semana pasada',
                future: {
                    one: 'en {0} semana',
                    other: 'en {0} semanas'
                },
                past: {
                    one: 'hai {0} semana',
                    other: 'hai {0} semanas'
                }
            },
            'week-short': {
                '0': 'esta sem.',
                '1': 'sem. seguinte',
                '-1': 'sem. pasada',
                future: {
                    one: 'en {0} sem.',
                    other: 'en {0} sem.'
                },
                past: {
                    one: 'hai {0} sem.',
                    other: 'hai {0} sem.'
                }
            },
            'week-narrow': {
                future: {
                    one: 'en {0} sem.',
                    other: 'en {0} sem.'
                },
                past: {
                    one: 'hai {0} sem.',
                    other: 'hai {0} sem.'
                }
            },
            day: {
                '0': 'hoxe',
                '1': 'mañá',
                '2': 'pasadomañá',
                '-2': 'antonte',
                '-1': 'onte',
                future: {
                    one: 'en {0} día',
                    other: 'en {0} días'
                },
                past: {
                    one: 'hai {0} día',
                    other: 'hai {0} días'
                }
            },
            'day-short': {
                future: {
                    one: 'en {0} día',
                    other: 'en {0} días'
                },
                past: {
                    one: 'hai {0} día',
                    other: 'hai {0} días'
                }
            },
            'day-narrow': {
                future: {
                    one: 'en {0} día',
                    other: 'en {0} días'
                },
                past: {
                    one: 'hai {0} día',
                    other: 'hai {0} días'
                }
            },
            hour: {
                '0': 'esta hora',
                future: {
                    one: 'en {0} hora',
                    other: 'en {0} horas'
                },
                past: {
                    one: 'hai {0} hora',
                    other: 'hai {0} horas'
                }
            },
            'hour-short': {
                future: {
                    one: 'en {0} h',
                    other: 'en {0} h'
                },
                past: {
                    one: 'hai {0} h',
                    other: 'hai {0} h'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'en {0} h',
                    other: 'en {0} h'
                },
                past: {
                    one: 'hai {0} h',
                    other: 'hai {0} h'
                }
            },
            minute: {
                '0': 'este minuto',
                future: {
                    one: 'en {0} minuto',
                    other: 'en {0} minutos'
                },
                past: {
                    one: 'hai {0} minuto',
                    other: 'hai {0} minutos'
                }
            },
            'minute-short': {
                future: {
                    one: 'en {0} min',
                    other: 'en {0} min'
                },
                past: {
                    one: 'hai {0} min',
                    other: 'hai {0} min'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'en {0} min',
                    other: 'en {0} min'
                },
                past: {
                    one: 'hai {0} min',
                    other: 'hai {0} min'
                }
            },
            second: {
                '0': 'agora',
                future: {
                    one: 'en {0} segundo',
                    other: 'en {0} segundos'
                },
                past: {
                    one: 'hai {0} segundo',
                    other: 'hai {0} segundos'
                }
            },
            'second-short': {
                future: {
                    one: 'en {0} s',
                    other: 'en {0} s'
                },
                past: {
                    one: 'hai {0} s',
                    other: 'hai {0} s'
                }
            },
            'second-narrow': {
                future: {
                    one: 'en {0} s',
                    other: 'en {0} s'
                },
                past: {
                    one: 'hai {0} s',
                    other: 'hai {0} s'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
