if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "hi",
        data: {
            year: {
                '0': 'इस वर्ष',
                '1': 'अगला वर्ष',
                '-1': 'पिछला वर्ष',
                future: {
                    one: '{0} वर्ष में',
                    other: '{0} वर्ष में'
                },
                past: {
                    one: '{0} वर्ष पहले',
                    other: '{0} वर्ष पहले'
                }
            },
            'year-short': {
                future: {
                    one: '{0} वर्ष में',
                    other: '{0} वर्ष में'
                },
                past: {
                    one: '{0} वर्ष पहले',
                    other: '{0} वर्ष पहले'
                }
            },
            'year-narrow': {
                future: {
                    one: '{0} वर्ष में',
                    other: '{0} वर्ष में'
                },
                past: {
                    one: '{0} वर्ष पहले',
                    other: '{0} वर्ष पहले'
                }
            },
            quarter: {
                '0': 'इस तिमाही',
                '1': 'अगली तिमाही',
                '-1': 'अंतिम तिमाही',
                future: {
                    one: '{0} तिमाही में',
                    other: '{0} तिमाहियों में'
                },
                past: {
                    one: '{0} तिमाही पहले',
                    other: '{0} तिमाही पहले'
                }
            },
            'quarter-short': {
                '0': 'इस तिमाही',
                '1': 'अगली तिमाही',
                '-1': 'अंतिम तिमाही',
                future: {
                    one: '{0} तिमाही में',
                    other: '{0} तिमाहियों में'
                },
                past: {
                    one: '{0} तिमाही पहले',
                    other: '{0} तिमाहियों पहले'
                }
            },
            'quarter-narrow': {
                '0': 'इस तिमाही',
                '1': 'अगली तिमाही',
                '-1': 'अंतिम तिमाही',
                future: {
                    one: '{0} ति॰ में',
                    other: '{0} ति॰ में'
                },
                past: {
                    one: '{0} ति॰ पहले',
                    other: '{0} ति॰ पहले'
                }
            },
            month: {
                '0': 'इस माह',
                '1': 'अगला माह',
                '-1': 'पिछला माह',
                future: {
                    one: '{0} माह में',
                    other: '{0} माह में'
                },
                past: {
                    one: '{0} माह पहले',
                    other: '{0} माह पहले'
                }
            },
            'month-short': {
                future: {
                    one: '{0} माह में',
                    other: '{0} माह में'
                },
                past: {
                    one: '{0} माह पहले',
                    other: '{0} माह पहले'
                }
            },
            'month-narrow': {
                future: {
                    one: '{0} माह में',
                    other: '{0} माह में'
                },
                past: {
                    one: '{0} माह पहले',
                    other: '{0} माह पहले'
                }
            },
            week: {
                '0': 'इस सप्ताह',
                '1': 'अगला सप्ताह',
                '-1': 'पिछला सप्ताह',
                future: {
                    one: '{0} सप्ताह में',
                    other: '{0} सप्ताह में'
                },
                past: {
                    one: '{0} सप्ताह पहले',
                    other: '{0} सप्ताह पहले'
                }
            },
            'week-short': {
                future: {
                    one: '{0} सप्ताह में',
                    other: '{0} सप्ताह में'
                },
                past: {
                    one: '{0} सप्ताह पहले',
                    other: '{0} सप्ताह पहले'
                }
            },
            'week-narrow': {
                future: {
                    one: '{0} सप्ताह में',
                    other: '{0} सप्ताह में'
                },
                past: {
                    one: '{0} सप्ताह पहले',
                    other: '{0} सप्ताह पहले'
                }
            },
            day: {
                '0': 'आज',
                '1': 'कल',
                '2': 'परसों',
                '-2': 'परसों',
                '-1': 'कल',
                future: {
                    one: '{0} दिन में',
                    other: '{0} दिन में'
                },
                past: {
                    one: '{0} दिन पहले',
                    other: '{0} दिन पहले'
                }
            },
            'day-short': {
                future: {
                    one: '{0} दिन में',
                    other: '{0} दिन में'
                },
                past: {
                    one: '{0} दिन पहले',
                    other: '{0} दिन पहले'
                }
            },
            'day-narrow': {
                future: {
                    one: '{0} दिन में',
                    other: '{0} दिन में'
                },
                past: {
                    one: '{0} दिन पहले',
                    other: '{0} दिन पहले'
                }
            },
            hour: {
                '0': 'यह घंटा',
                future: {
                    one: '{0} घंटे में',
                    other: '{0} घंटे में'
                },
                past: {
                    one: '{0} घंटे पहले',
                    other: '{0} घंटे पहले'
                }
            },
            'hour-short': {
                future: {
                    one: '{0} घं॰ में',
                    other: '{0} घं॰ में'
                },
                past: {
                    one: '{0} घं॰ पहले',
                    other: '{0} घं॰ पहले'
                }
            },
            'hour-narrow': {
                future: {
                    one: '{0} घं॰ में',
                    other: '{0} घं॰ में'
                },
                past: {
                    one: '{0} घं॰ पहले',
                    other: '{0} घं॰ पहले'
                }
            },
            minute: {
                '0': 'यह मिनट',
                future: {
                    one: '{0} मिनट में',
                    other: '{0} मिनट में'
                },
                past: {
                    one: '{0} मिनट पहले',
                    other: '{0} मिनट पहले'
                }
            },
            'minute-short': {
                future: {
                    one: '{0} मि॰ में',
                    other: '{0} मि॰ में'
                },
                past: {
                    one: '{0} मि॰ पहले',
                    other: '{0} मि॰ पहले'
                }
            },
            'minute-narrow': {
                future: {
                    one: '{0} मि॰ में',
                    other: '{0} मि॰ में'
                },
                past: {
                    one: '{0} मि॰ पहले',
                    other: '{0} मि॰ पहले'
                }
            },
            second: {
                '0': 'अब',
                future: {
                    one: '{0} सेकंड में',
                    other: '{0} सेकंड में'
                },
                past: {
                    one: '{0} सेकंड पहले',
                    other: '{0} सेकंड पहले'
                }
            },
            'second-short': {
                future: {
                    one: '{0} से॰ में',
                    other: '{0} से॰ में'
                },
                past: {
                    one: '{0} से॰ पहले',
                    other: '{0} से॰ पहले'
                }
            },
            'second-narrow': {
                future: {
                    one: '{0} से॰ में',
                    other: '{0} से॰ में'
                },
                past: {
                    one: '{0} से॰ पहले',
                    other: '{0} से॰ पहले'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
