if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "ia-001",
        data: {
            year: {
                '0': 'iste anno',
                '1': 'le anno proxime',
                '-1': 'le anno passate',
                future: {
                    one: 'in {0} annos',
                    other: 'in {0} annos'
                },
                past: {
                    one: '{0} annos retro',
                    other: '{0} annos retro'
                }
            },
            'year-short': {
                future: {
                    one: 'in {0} annos',
                    other: 'in {0} an.'
                },
                past: {
                    one: '{0} annos retro',
                    other: '{0} an. retro'
                }
            },
            'year-narrow': {
                future: {
                    one: 'in {0} annos',
                    other: 'in {0} an.'
                },
                past: {
                    one: '{0} annos retro',
                    other: '{0} an. retro'
                }
            },
            quarter: {
                '0': 'iste trimestre',
                '1': 'le trimestre proxime',
                '-1': 'le trimestre passate',
                future: {
                    one: 'in {0} trimestres',
                    other: 'in {0} trimestres'
                },
                past: {
                    one: 'in {0} trimestres',
                    other: 'in {0} trimestres'
                }
            },
            'quarter-short': {
                future: {
                    one: 'in {0} trimestres',
                    other: 'in {0} trim.'
                },
                past: {
                    one: 'in {0} trimestres',
                    other: '{0} trim. retro'
                }
            },
            'quarter-narrow': {
                future: {
                    one: 'in {0} trimestres',
                    other: 'in {0} trim.'
                },
                past: {
                    one: 'in {0} trimestres',
                    other: '{0} trim. retro'
                }
            },
            month: {
                '0': 'iste mense',
                '1': 'le mense proxime',
                '-1': 'le mense passate',
                future: {
                    one: 'in {0} menses',
                    other: 'in {0} menses'
                },
                past: {
                    one: '{0} menses retro',
                    other: '{0} menses retro'
                }
            },
            'month-short': {
                future: {
                    one: 'in {0} menses',
                    other: 'in {0} mns.'
                },
                past: {
                    one: '{0} menses retro',
                    other: '{0} mns. retro'
                }
            },
            'month-narrow': {
                future: {
                    one: 'in {0} menses',
                    other: 'in {0} mns.'
                },
                past: {
                    one: '{0} menses retro',
                    other: '{0} mns. retro'
                }
            },
            week: {
                '0': 'iste septimana',
                '1': 'le septimana proxime',
                '-1': 'le septimana passate',
                future: {
                    one: 'in {0} septimanas',
                    other: 'in {0} septimanas'
                },
                past: {
                    one: '{0} septimanas retro',
                    other: '{0} septimanas retro'
                }
            },
            'week-short': {
                future: {
                    one: 'in {0} septimanas',
                    other: 'in {0} sept.'
                },
                past: {
                    one: '{0} septimanas retro',
                    other: '{0} sept. retro'
                }
            },
            'week-narrow': {
                future: {
                    one: 'in {0} septimanas',
                    other: 'in {0} sept.'
                },
                past: {
                    one: '{0} septimanas retro',
                    other: '{0} sept. retro'
                }
            },
            day: {
                '0': 'hodie',
                '1': 'deman',
                '-1': 'heri',
                future: {
                    one: 'in {0} dies',
                    other: 'in {0} dies'
                },
                past: {
                    one: '{0} dies retro',
                    other: '{0} dies retro'
                }
            },
            'day-short': {
                future: {
                    one: 'in {0} dies',
                    other: 'in {0} dies'
                },
                past: {
                    one: '{0} dies retro',
                    other: '{0} dies retro'
                }
            },
            'day-narrow': {
                future: {
                    one: 'in {0} dies',
                    other: 'in {0} dies'
                },
                past: {
                    one: '{0} dies retro',
                    other: '{0} dies retro'
                }
            },
            hour: {
                '0': 'iste hora',
                future: {
                    one: 'in {0} horas',
                    other: 'in {0} horas'
                },
                past: {
                    one: '{0} horas retro',
                    other: '{0} horas retro'
                }
            },
            'hour-short': {
                future: {
                    one: 'in {0} horas',
                    other: 'in {0} hr.'
                },
                past: {
                    one: '{0} horas retro',
                    other: '{0} hr. retro'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'in {0} horas',
                    other: 'in {0} hr.'
                },
                past: {
                    one: '{0} horas retro',
                    other: '{0} hr. retro'
                }
            },
            minute: {
                '0': 'iste minuta',
                future: {
                    one: 'in {0} minutas',
                    other: 'in {0} minutas'
                },
                past: {
                    one: '{0} minutas retro',
                    other: '{0} minutas retro'
                }
            },
            'minute-short': {
                future: {
                    one: 'in {0} minutas',
                    other: 'in {0} min.'
                },
                past: {
                    one: '{0} minutas retro',
                    other: '{0} min. retro'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'in {0} minutas',
                    other: 'in {0} min.'
                },
                past: {
                    one: '{0} minutas retro',
                    other: '{0} min. retro'
                }
            },
            second: {
                '0': 'ora',
                future: {
                    one: 'in {0} secundas',
                    other: 'in {0} secundas'
                },
                past: {
                    one: '{0} secundas retro',
                    other: '{0} secundas retro'
                }
            },
            'second-short': {
                future: {
                    one: 'in {0} secundas',
                    other: 'in {0} sec.'
                },
                past: {
                    one: '{0} secundas retro',
                    other: '{0} sec. retro'
                }
            },
            'second-narrow': {
                future: {
                    one: 'in {0} secundas',
                    other: 'in {0} sec.'
                },
                past: {
                    one: '{0} secundas retro',
                    other: '{0} sec. retro'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
