if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "ja",
        data: {
            year: {
                '0': '今年',
                '1': '翌年',
                '-1': '昨年',
                future: {
                    other: '{0} 年後'
                },
                past: {
                    other: '{0} 年前'
                }
            },
            'year-short': {
                '0': '今年',
                '1': '翌年',
                '-1': '昨年',
                future: {
                    other: '{0} 年後'
                },
                past: {
                    other: '{0} 年前'
                }
            },
            'year-narrow': {
                '0': '今年',
                '1': '翌年',
                '-1': '昨年',
                future: {
                    other: '{0}年後'
                },
                past: {
                    other: '{0}年前'
                }
            },
            quarter: {
                '0': '今四半期',
                '1': '翌四半期',
                '-1': '前四半期',
                future: {
                    other: '{0} 四半期後'
                },
                past: {
                    other: '{0} 四半期前'
                }
            },
            'quarter-short': {
                '0': '今四半期',
                '1': '翌四半期',
                '-1': '前四半期',
                future: {
                    other: '{0} 四半期後'
                },
                past: {
                    other: '{0} 四半期前'
                }
            },
            'quarter-narrow': {
                '0': '今四半期',
                '1': '翌四半期',
                '-1': '前四半期',
                future: {
                    other: '{0}四半期後'
                },
                past: {
                    other: '{0}四半期前'
                }
            },
            month: {
                '0': '今月',
                '1': '翌月',
                '-1': '先月',
                future: {
                    other: '{0} か月後'
                },
                past: {
                    other: '{0} か月前'
                }
            },
            'month-short': {
                '0': '今月',
                '1': '翌月',
                '-1': '先月',
                future: {
                    other: '{0} か月後'
                },
                past: {
                    other: '{0} か月前'
                }
            },
            'month-narrow': {
                '0': '今月',
                '1': '翌月',
                '-1': '先月',
                future: {
                    other: '{0}か月後'
                },
                past: {
                    other: '{0}か月前'
                }
            },
            week: {
                '0': '今週',
                '1': '翌週',
                '-1': '先週',
                future: {
                    other: '{0} 週間後'
                },
                past: {
                    other: '{0} 週間前'
                }
            },
            'week-short': {
                '0': '今週',
                '1': '翌週',
                '-1': '先週',
                future: {
                    other: '{0} 週間後'
                },
                past: {
                    other: '{0} 週間前'
                }
            },
            'week-narrow': {
                '0': '今週',
                '1': '翌週',
                '-1': '先週',
                future: {
                    other: '{0}週間後'
                },
                past: {
                    other: '{0}週間前'
                }
            },
            day: {
                '0': '今日',
                '1': '明日',
                '2': '明後日',
                '-2': '一昨日',
                '-1': '昨日',
                future: {
                    other: '{0} 日後'
                },
                past: {
                    other: '{0} 日前'
                }
            },
            'day-short': {
                '0': '今日',
                '1': '明日',
                '2': '明後日',
                '-2': '一昨日',
                '-1': '昨日',
                future: {
                    other: '{0} 日後'
                },
                past: {
                    other: '{0} 日前'
                }
            },
            'day-narrow': {
                '0': '今日',
                '1': '明日',
                '2': '明後日',
                '-2': '一昨日',
                '-1': '昨日',
                future: {
                    other: '{0}日後'
                },
                past: {
                    other: '{0}日前'
                }
            },
            hour: {
                '0': '1 時間以内',
                future: {
                    other: '{0} 時間後'
                },
                past: {
                    other: '{0} 時間前'
                }
            },
            'hour-short': {
                future: {
                    other: '{0} 時間後'
                },
                past: {
                    other: '{0} 時間前'
                }
            },
            'hour-narrow': {
                future: {
                    other: '{0}時間後'
                },
                past: {
                    other: '{0}時間前'
                }
            },
            minute: {
                '0': '1 分以内',
                future: {
                    other: '{0} 分後'
                },
                past: {
                    other: '{0} 分前'
                }
            },
            'minute-short': {
                future: {
                    other: '{0} 分後'
                },
                past: {
                    other: '{0} 分前'
                }
            },
            'minute-narrow': {
                future: {
                    other: '{0}分後'
                },
                past: {
                    other: '{0}分前'
                }
            },
            second: {
                '0': '今',
                future: {
                    other: '{0} 秒後'
                },
                past: {
                    other: '{0} 秒前'
                }
            },
            'second-short': {
                future: {
                    other: '{0} 秒後'
                },
                past: {
                    other: '{0} 秒前'
                }
            },
            'second-narrow': {
                future: {
                    other: '{0}秒後'
                },
                past: {
                    other: '{0}秒前'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
