if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "jv",
        data: {
            year: {
                '0': 'taun iki',
                '1': 'taun ngarep',
                '-1': 'taun wingi',
                future: {
                    other: 'ing {0} taun'
                },
                past: {
                    other: '{0} taun kepungkur'
                }
            },
            'year-short': {
                future: {
                    other: 'ing {0} tn'
                },
                past: {
                    other: '{0} tn kepungkur'
                }
            },
            'year-narrow': {
                '0': 'taun iki',
                '1': 'taun ngarep',
                '-1': 'taun wingi',
                future: {
                    other: '+{0} y'
                },
                past: {
                    other: '-{0} y'
                }
            },
            quarter: {
                '0': 'kwartal iki',
                '1': 'kwartal ngarep',
                '-1': 'kwartal wingi',
                future: {
                    other: 'ing {0} kwartal'
                },
                past: {
                    other: '{0} kwartal kepungkur'
                }
            },
            'quarter-short': {
                future: {
                    other: 'ing {0} kwrt.'
                },
                past: {
                    other: '{0} kwrt. kepungkur'
                }
            },
            'quarter-narrow': {
                future: {
                    other: '+{0} Q'
                },
                past: {
                    other: '-{0} Q'
                }
            },
            month: {
                '0': 'sasi iki',
                '1': 'sasi ngarep',
                '-1': 'sasi wingi',
                future: {
                    other: 'ing {0} sasi'
                },
                past: {
                    other: '{0} sasi kepungkur'
                }
            },
            'month-short': {
                future: {
                    other: 'ing {0} s.'
                },
                past: {
                    other: '{0} s. kepungkur'
                }
            },
            'month-narrow': {
                future: {
                    other: '+{0} m'
                },
                past: {
                    other: '-{0} m'
                }
            },
            week: {
                '0': 'pekan iki',
                '1': 'pekan ngarep',
                '-1': 'pekan wingi',
                future: {
                    other: 'ing {0} minggu'
                },
                past: {
                    other: '{0} minggu kepungkur'
                }
            },
            'week-short': {
                future: {
                    other: 'ing {0} mgg.'
                },
                past: {
                    other: '{0} mgg. kepungkur'
                }
            },
            'week-narrow': {
                '0': 'pekan iki',
                '1': 'pekan ngarep',
                '-1': 'pekan wingi',
                future: {
                    other: '+{0} w'
                },
                past: {
                    other: '-{0} w'
                }
            },
            day: {
                '0': 'saiki',
                '1': 'sesuk',
                '-1': 'wingi',
                future: {
                    other: 'ing {0} dina'
                },
                past: {
                    other: '{0} dina kepungkur'
                }
            },
            'day-short': {
                '0': 'saiki',
                '1': 'sesuk',
                '-1': 'wingi',
                future: undefined,
                past: {
                    other: '-{0} d'
                }
            },
            'day-narrow': {
                '0': 'saiki',
                '1': 'sesuk',
                '-1': 'wingi',
                future: {
                    other: '+{0} d'
                },
                past: {
                    other: '-{0} d'
                }
            },
            hour: {
                '0': 'jam iki',
                future: {
                    other: 'ing {0} jam'
                },
                past: {
                    other: '{0} jam kepungkur'
                }
            },
            'hour-short': {
                future: {
                    other: '+{0} h'
                },
                past: {
                    other: '-{0} h'
                }
            },
            'hour-narrow': {
                future: {
                    other: '+{0} h'
                },
                past: {
                    other: '-{0} h'
                }
            },
            minute: {
                '0': 'menit iki',
                future: {
                    other: 'ing {0} mnt'
                },
                past: {
                    other: '{0} men. kepungkur'
                }
            },
            'minute-short': {
                future: {
                    other: '+{0} min'
                },
                past: {
                    other: '-{0} min'
                }
            },
            'minute-narrow': {
                future: {
                    other: '+{0} min'
                },
                past: {
                    other: '-{0} min'
                }
            },
            second: {
                '0': 'now',
                future: {
                    other: 'ing {0} detik'
                },
                past: {
                    other: '{0} detik kepungkur'
                }
            },
            'second-short': {
                future: {
                    other: 'ing {0} dtk'
                },
                past: {
                    other: '{0} det. kepungkur'
                }
            },
            'second-narrow': {
                future: {
                    other: '+{0} s'
                },
                past: {
                    other: '-{0} s'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
