if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "kab",
        data: {
            year: {
                '0': 'this year',
                '1': 'aseggas d-iteddun',
                '-1': 'last year',
                future: {
                    one: 'deg {0} n useggas',
                    other: 'deg {0} n iseggasen'
                },
                past: {
                    one: '{0} n useggas aya',
                    other: '{0} n iseggasen aya'
                }
            },
            'year-short': {
                future: {
                    one: 'deg {0} sg.',
                    other: 'deg {0} sg.'
                },
                past: {
                    one: '{0} sg. aya',
                    other: '{0} sg. aya'
                }
            },
            'year-narrow': {
                future: {
                    one: 'deg {0} sg.',
                    other: 'deg {0} sg.'
                },
                past: {
                    one: '{0} sg. aya',
                    other: '{0} sg. aya'
                }
            },
            quarter: {
                '0': 'akraḍyur-agi',
                '1': 'akraḍyur d-iteddun',
                '-1': 'akraḍyur izrin',
                future: {
                    one: 'deg {0} n ukraḍyur',
                    other: 'deg {0} n ikraḍyuren'
                },
                past: {
                    one: '{0} n ukraḍyur aya',
                    other: '{0} n ikradyuren aya'
                }
            },
            'quarter-short': {
                future: {
                    one: 'deg {0} kyr.',
                    other: 'deg {0} kyrn.'
                },
                past: {
                    one: '{0} kyr. aya',
                    other: '{0} kyrn. aya'
                }
            },
            'quarter-narrow': {
                future: {
                    one: 'deg {0} kyr.',
                    other: 'deg {0} kyrn.'
                },
                past: {
                    one: '{0} kyr. aya',
                    other: '{0} kyrn. aya'
                }
            },
            month: {
                '0': 'ayyur-agi',
                '1': 'ayyur d-iteddun',
                '-1': 'ayyur izrin',
                future: {
                    one: 'deg {0} n wayyur',
                    other: 'deg {0} n wayyuren'
                },
                past: {
                    one: '{0} n wayyur aya',
                    other: '{0} n wayyuren aya'
                }
            },
            'month-short': {
                future: {
                    one: 'deg {0} yr.',
                    other: 'deg {0} yr.'
                },
                past: {
                    one: '{0} yr. aya',
                    other: '{0} yr. aya'
                }
            },
            'month-narrow': {
                future: {
                    one: 'deg {0} yr.',
                    other: 'deg {0} yr.'
                },
                past: {
                    one: '{0} yr. aya',
                    other: '{0} yr. aya'
                }
            },
            week: {
                '0': 'this week',
                '1': 'next week',
                '-1': 'amalas izrin',
                future: {
                    one: 'deg {0} n umalas',
                    other: 'deg {0} n imalasen'
                },
                past: {
                    one: '{0} n umalas aya',
                    other: '{0} n imalasen aya'
                }
            },
            'week-short': {
                future: {
                    one: 'deg {0} mls.',
                    other: 'deg {0} mls.'
                },
                past: {
                    one: '{0} mls. aya',
                    other: '{0} mls. aya'
                }
            },
            'week-narrow': {
                future: {
                    one: 'deg {0} mls.',
                    other: 'deg {0} mls.'
                },
                past: {
                    one: '{0} mls. aya',
                    other: '{0} mls. aya'
                }
            },
            day: {
                '0': 'Ass-a',
                '1': 'Azekka',
                '-1': 'Iḍelli',
                future: {
                    one: 'deg {0} n wass',
                    other: 'deg {0} n wussan'
                },
                past: {
                    one: '{0} n wass aya',
                    other: '{0} n wussan aya'
                }
            },
            'day-short': {
                future: {
                    one: 'deg {0} n wass',
                    other: 'deg {0} n wussan'
                },
                past: {
                    one: '{0} n wass aya',
                    other: '{0} n wussan aya'
                }
            },
            'day-narrow': {
                future: {
                    one: 'deg {0} n wass',
                    other: 'deg {0} n wussan'
                },
                past: {
                    one: '{0} n wass aya',
                    other: '{0} n wussan aya'
                }
            },
            hour: {
                '0': 'asrag-agi',
                future: {
                    one: 'deg {0} n usrag',
                    other: 'deg {0} n isragen'
                },
                past: {
                    one: '{0} n usrag aya',
                    other: '{0} n isragen aya'
                }
            },
            'hour-short': {
                future: {
                    one: 'deg {0} sr.',
                    other: 'deg {0} sr.'
                },
                past: {
                    one: '{0} sr. aya',
                    other: '{0} sr. aya'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'deg {0} sr.',
                    other: 'deg {0} sr.'
                },
                past: {
                    one: '{0} sr. aya',
                    other: '{0} sr. aya'
                }
            },
            minute: {
                '0': 'tasdat-agi',
                future: {
                    one: 'deg {0} n tesdat',
                    other: 'deg {0} n tesdatin'
                },
                past: {
                    one: '{0} n tesdat aya',
                    other: '{0} n tesdatin aya'
                }
            },
            'minute-short': {
                future: {
                    one: 'deg {0} tsd.',
                    other: 'deg {0} tsd.'
                },
                past: {
                    one: '{0} tsd. aya',
                    other: '{0} tsd. aya'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'deg {0} tsd.',
                    other: 'deg {0} tsd.'
                },
                past: {
                    one: '{0} tsd. aya',
                    other: '{0} tsd. aya'
                }
            },
            second: {
                '0': 'tura',
                future: {
                    one: 'deg {0} n tasint',
                    other: 'deg {0} n tasinin'
                },
                past: {
                    one: '{0} n tasint aya',
                    other: '{0} n tasinin aya'
                }
            },
            'second-short': {
                future: {
                    one: 'deg {0} tsn.',
                    other: 'deg {0} tsn.'
                },
                past: {
                    one: '{0} tsn. aya',
                    other: '{0} tsn. aya'
                }
            },
            'second-narrow': {
                future: {
                    one: 'deg {0} tsn.',
                    other: 'deg {0} tsn.'
                },
                past: {
                    one: '{0} tsn. aya',
                    other: '{0} tsn. aya'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
