if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "ko-KR",
        data: {
            year: {
                '0': '올해',
                '1': '내년',
                '-1': '작년',
                future: {
                    other: '{0}년 후'
                },
                past: {
                    other: '{0}년 전'
                }
            },
            'year-short': {
                future: {
                    other: '{0}년 후'
                },
                past: {
                    other: '{0}년 전'
                }
            },
            'year-narrow': {
                future: {
                    other: '{0}년 후'
                },
                past: {
                    other: '{0}년 전'
                }
            },
            quarter: {
                '0': '이번 분기',
                '1': '다음 분기',
                '-1': '지난 분기',
                future: {
                    other: '{0}분기 후'
                },
                past: {
                    other: '{0}분기 전'
                }
            },
            'quarter-short': {
                future: {
                    other: '{0}분기 후'
                },
                past: {
                    other: '{0}분기 전'
                }
            },
            'quarter-narrow': {
                future: {
                    other: '{0}분기 후'
                },
                past: {
                    other: '{0}분기 전'
                }
            },
            month: {
                '0': '이번 달',
                '1': '다음 달',
                '-1': '지난달',
                future: {
                    other: '{0}개월 후'
                },
                past: {
                    other: '{0}개월 전'
                }
            },
            'month-short': {
                future: {
                    other: '{0}개월 후'
                },
                past: {
                    other: '{0}개월 전'
                }
            },
            'month-narrow': {
                future: {
                    other: '{0}개월 후'
                },
                past: {
                    other: '{0}개월 전'
                }
            },
            week: {
                '0': '이번 주',
                '1': '다음 주',
                '-1': '지난주',
                future: {
                    other: '{0}주 후'
                },
                past: {
                    other: '{0}주 전'
                }
            },
            'week-short': {
                future: {
                    other: '{0}주 후'
                },
                past: {
                    other: '{0}주 전'
                }
            },
            'week-narrow': {
                future: {
                    other: '{0}주 후'
                },
                past: {
                    other: '{0}주 전'
                }
            },
            day: {
                '0': '오늘',
                '1': '내일',
                '2': '모레',
                '-2': '그저께',
                '-1': '어제',
                future: {
                    other: '{0}일 후'
                },
                past: {
                    other: '{0}일 전'
                }
            },
            'day-short': {
                future: {
                    other: '{0}일 후'
                },
                past: {
                    other: '{0}일 전'
                }
            },
            'day-narrow': {
                future: {
                    other: '{0}일 후'
                },
                past: {
                    other: '{0}일 전'
                }
            },
            hour: {
                '0': '현재 시간',
                future: {
                    other: '{0}시간 후'
                },
                past: {
                    other: '{0}시간 전'
                }
            },
            'hour-short': {
                future: {
                    other: '{0}시간 후'
                },
                past: {
                    other: '{0}시간 전'
                }
            },
            'hour-narrow': {
                future: {
                    other: '{0}시간 후'
                },
                past: {
                    other: '{0}시간 전'
                }
            },
            minute: {
                '0': '현재 분',
                future: {
                    other: '{0}분 후'
                },
                past: {
                    other: '{0}분 전'
                }
            },
            'minute-short': {
                future: {
                    other: '{0}분 후'
                },
                past: {
                    other: '{0}분 전'
                }
            },
            'minute-narrow': {
                future: {
                    other: '{0}분 후'
                },
                past: {
                    other: '{0}분 전'
                }
            },
            second: {
                '0': '지금',
                future: {
                    other: '{0}초 후'
                },
                past: {
                    other: '{0}초 전'
                }
            },
            'second-short': {
                future: {
                    other: '{0}초 후'
                },
                past: {
                    other: '{0}초 전'
                }
            },
            'second-narrow': {
                future: {
                    other: '{0}초 후'
                },
                past: {
                    other: '{0}초 전'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
