if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "kok",
        data: {
            year: {
                '0': 'हें वर्स',
                '1': 'फुडलें वर्स',
                '-1': 'फाटलें वर्स',
                future: {
                    other: '{0} वर्सांनीं'
                },
                past: {
                    other: '{0} वर्सां आदीं'
                }
            },
            'year-short': {
                future: {
                    other: '{0} वर्सांनीं'
                },
                past: {
                    other: '{0} वर्स आदीं'
                }
            },
            'year-narrow': {
                future: {
                    other: '{0} वर्सांनीं'
                },
                past: {
                    other: '{0} वर्स आदीं'
                }
            },
            quarter: {
                '0': 'हो त्रैमासीक',
                '1': 'फुडलो त्रैमासीक',
                '-1': 'फाटलो त्रैमासीक',
                future: {
                    other: '{0} त्रैमासीकांत'
                },
                past: {
                    other: '{0} त्रैमासीकां आदीं'
                }
            },
            'quarter-short': {
                future: {
                    other: '{0} त्रैमासीकांत'
                },
                past: {
                    other: '{0} त्रैमासीकां आदीं'
                }
            },
            'quarter-narrow': {
                future: {
                    other: '{0} त्रैमासीकांत'
                },
                past: {
                    other: '{0} त्रैमासीकां आदीं'
                }
            },
            month: {
                '0': 'हो म्हयनो',
                '1': 'फुडलो म्हयनो',
                '-1': 'फाटलो म्हयनो',
                future: {
                    other: '{0} म्हयन्यानीं'
                },
                past: {
                    other: '{0} म्हयन्यां आदीं'
                }
            },
            'month-short': {
                future: {
                    other: '{0} म्हयन्यानीं'
                },
                past: {
                    other: '{0} म्हयन्यां आदीं'
                }
            },
            'month-narrow': {
                future: {
                    other: '{0} म्हयन्यानीं'
                },
                past: {
                    other: '{0} म्हयन्यां आदीं'
                }
            },
            week: {
                '0': 'हो सप्तक',
                '1': 'फुडलो सप्तक',
                '-1': 'निमाणो सप्तक',
                future: {
                    other: '{0} सप्तकांनीं'
                },
                past: {
                    other: '{0} सप्तकां आदीं'
                }
            },
            'week-short': {
                future: {
                    other: '{0} सप्त.'
                },
                past: {
                    other: '{0} सप्तकां आदीं'
                }
            },
            'week-narrow': {
                future: {
                    other: '{0} सप्तकांनीं'
                },
                past: {
                    other: '{0} सप्त. आदीं'
                }
            },
            day: {
                '0': 'आयज',
                '1': 'फाल्यां',
                '-1': 'काल',
                future: {
                    other: '{0} दिसानीं'
                },
                past: {
                    other: '{0} दीस आदीं'
                }
            },
            'day-short': {
                future: {
                    other: '{0} दिसानीं'
                },
                past: {
                    other: '{0} दीस आदीं'
                }
            },
            'day-narrow': {
                future: {
                    other: '{0} दिसानीं'
                },
                past: {
                    other: '{0} दीस आदीं'
                }
            },
            hour: {
                '0': 'हें वर',
                future: {
                    other: '{0} वरांनीं'
                },
                past: {
                    other: '{0} वरा आदीं'
                }
            },
            'hour-short': {
                future: {
                    other: '{0} वरांनीं'
                },
                past: {
                    other: '{0} वरा आदीं'
                }
            },
            'hour-narrow': {
                future: {
                    other: '{0} वरांनीं'
                },
                past: {
                    other: '{0} वरा आदीं'
                }
            },
            minute: {
                '0': 'हें मिनीट',
                future: {
                    other: '{0} मिन्टां'
                },
                past: {
                    other: '{0} मिन्टां आदीं'
                }
            },
            'minute-short': {
                future: {
                    other: '{0} मिन्टां'
                },
                past: {
                    other: '{0} मिन्टां आदीं'
                }
            },
            'minute-narrow': {
                future: {
                    other: '{0} मिन्टां'
                },
                past: {
                    other: '{0} मिन्टां आदीं'
                }
            },
            second: {
                '0': 'आतां',
                future: {
                    other: '{0} सेकंदानीं'
                },
                past: {
                    other: '{0} सेकंद आदीं'
                }
            },
            'second-short': {
                future: {
                    other: '{0} सेकंदानीं'
                },
                past: {
                    other: '{0} से. आदीं'
                }
            },
            'second-narrow': {
                future: {
                    other: '{0} सेकंदानीं'
                },
                past: {
                    other: '{0} से. आदीं'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
