if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "ms-MY",
        data: {
            year: {
                '0': 'tahun ini',
                '1': 'tahun depan',
                '-1': 'tahun lalu',
                future: {
                    other: 'dalam {0} tahun'
                },
                past: {
                    other: '{0} tahun lalu'
                }
            },
            'year-short': {
                '0': 'thn ini',
                '1': 'thn depan',
                '-1': 'thn lepas',
                future: {
                    other: 'dalam {0} thn'
                },
                past: {
                    other: '{0} thn lalu'
                }
            },
            'year-narrow': {
                '0': 'thn ini',
                '1': 'thn depan',
                '-1': 'thn lepas',
                future: {
                    other: 'dalam {0} thn'
                },
                past: {
                    other: '{0} thn lalu'
                }
            },
            quarter: {
                '0': 'suku tahun ini',
                '1': 'suku tahun seterusnya',
                '-1': 'suku tahun lalu',
                future: {
                    other: 'dalam {0} suku tahun'
                },
                past: {
                    other: '{0} suku tahun lalu'
                }
            },
            'quarter-short': {
                '0': 'suku ini',
                '1': 'suku seterusnya',
                '-1': 'suku lepas',
                future: {
                    other: 'dlm {0} suku thn'
                },
                past: {
                    other: '{0} suku thn lalu'
                }
            },
            'quarter-narrow': {
                '0': 'suku ini',
                '1': 'suku seterusnya',
                '-1': 'suku lepas',
                future: {
                    other: 'dlm {0} suku thn'
                },
                past: {
                    other: '{0} suku thn lalu'
                }
            },
            month: {
                '0': 'bulan ini',
                '1': 'bulan depan',
                '-1': 'bulan lalu',
                future: {
                    other: 'dalam {0} bulan'
                },
                past: {
                    other: '{0} bulan lalu'
                }
            },
            'month-short': {
                '0': 'bln ini',
                '1': 'bln depan',
                '-1': 'bln lalu',
                future: {
                    other: 'dlm {0} bln'
                },
                past: {
                    other: '{0} bln lalu'
                }
            },
            'month-narrow': {
                '0': 'bln ini',
                '1': 'bln depan',
                '-1': 'bln lalu',
                future: {
                    other: 'dlm {0} bln'
                },
                past: {
                    other: '{0} bulan lalu'
                }
            },
            week: {
                '0': 'minggu ini',
                '1': 'minggu depan',
                '-1': 'minggu lalu',
                future: {
                    other: 'dalam {0} minggu'
                },
                past: {
                    other: '{0} minggu lalu'
                }
            },
            'week-short': {
                '0': 'mng ini',
                '1': 'mng depan',
                '-1': 'mng lepas',
                future: {
                    other: 'dlm {0} mgu'
                },
                past: {
                    other: '{0} mgu lalu'
                }
            },
            'week-narrow': {
                '0': 'mng ini',
                '1': 'mng depan',
                '-1': 'mng lepas',
                future: {
                    other: 'dlm {0} mgu'
                },
                past: {
                    other: '{0} mgu lalu'
                }
            },
            day: {
                '0': 'hari ini',
                '1': 'esok',
                '2': 'lusa',
                '-2': 'kelmarin',
                '-1': 'semalam',
                future: {
                    other: 'dalam {0} hari'
                },
                past: {
                    other: '{0} hari lalu'
                }
            },
            'day-short': {
                '0': 'hari ini',
                '1': 'esok',
                '2': 'lusa',
                '-2': 'kelmarin',
                '-1': 'semlm',
                future: {
                    other: 'dlm {0} hari'
                },
                past: {
                    other: '{0} hari lalu'
                }
            },
            'day-narrow': {
                '0': 'hari ini',
                '1': 'esok',
                '2': 'lusa',
                '-2': 'kelmarin',
                '-1': 'semlm',
                future: {
                    other: 'dlm {0} hari'
                },
                past: {
                    other: '{0} hari lalu'
                }
            },
            hour: {
                '0': 'jam ini',
                future: {
                    other: 'dalam {0} jam'
                },
                past: {
                    other: '{0} jam lalu'
                }
            },
            'hour-short': {
                '0': 'jam ini',
                future: {
                    other: 'dlm {0} jam'
                },
                past: {
                    other: '{0} jam lalu'
                }
            },
            'hour-narrow': {
                '0': 'jam ini',
                future: {
                    other: 'dlm {0} jam'
                },
                past: {
                    other: '{0} jam lalu'
                }
            },
            minute: {
                '0': 'pada minit ini',
                future: {
                    other: 'dalam {0} minit'
                },
                past: {
                    other: '{0} minit lalu'
                }
            },
            'minute-short': {
                future: {
                    other: 'dlm {0} min'
                },
                past: {
                    other: '{0} min lalu'
                }
            },
            'minute-narrow': {
                future: {
                    other: 'dlm {0} min'
                },
                past: {
                    other: '{0} min lalu'
                }
            },
            second: {
                '0': 'sekarang',
                future: {
                    other: 'dalam {0} saat'
                },
                past: {
                    other: '{0} saat lalu'
                }
            },
            'second-short': {
                '0': 'sekarang',
                future: {
                    other: 'dlm {0} saat'
                },
                past: {
                    other: '{0} saat lalu'
                }
            },
            'second-narrow': {
                '0': 'sekarang',
                future: {
                    other: 'dlm {0} saat'
                },
                past: {
                    other: '{0} saat lalu'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
