if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "mt-MT",
        data: {
            year: {
                '0': 'din is-sena',
                '1': 'is-sena d-dieħla',
                '-1': 'is-sena l-oħra',
                future: {
                    one: 'fi żmien sena',
                    few: 'fi żmien {0} snin oħra',
                    many: 'fi żmien {0} snin oħra',
                    other: 'fi żmien {0} snin oħra'
                },
                past: {
                    one: 'sena ilu',
                    few: '{0} snin ilu',
                    many: '{0} snin ilu',
                    other: '{0} snin ilu'
                }
            },
            'year-short': {
                future: {
                    one: 'fi żmien sena',
                    few: 'fi żmien {0} snin oħra',
                    many: 'fi żmien {0} snin oħra',
                    other: 'fi żmien {0} snin oħra'
                },
                past: {
                    one: 'sa sena ilu',
                    few: '{0} snin ilu',
                    many: '{0} snin ilu',
                    other: '{0} snin ilu'
                }
            },
            'year-narrow': {
                future: {
                    one: 'fi żmien sena',
                    few: 'fi żmien {0} snin oħra',
                    many: 'fi żmien {0} snin oħra',
                    other: 'fi żmien {0} snin oħra'
                },
                past: {
                    one: 'sena ilu',
                    few: '{0} snin ilu',
                    many: '{0} snin ilu',
                    other: '{0} snin ilu'
                }
            },
            quarter: {
                '0': 'il-kwart ta’ sena li qegħdin fih',
                '1': 'il-kwart li jmiss tas-sena',
                '-1': 'il-kwart ta’ sena li għadda',
                future: {
                    one: 'f’{0} kwarti ta’ sena oħrajn',
                    few: 'f’{0} kwarti ta’ sena oħrajn',
                    many: 'f’{0} kwarti ta’ sena oħrajn',
                    other: 'f’{0} kwarti ta’ sena oħrajn'
                },
                past: {
                    one: 'il-kwart ta’ sena li għadda',
                    few: '{0} kwarti ta’ sena li għaddew',
                    many: '{0} kwarti ta’ sena li għaddew',
                    other: '{0} kwarti ta’ sena li għaddew'
                }
            },
            'quarter-short': {
                '0': 'il-kwart ta’ sena li qegħdin fih',
                '1': 'il-kwart li jmiss tas-sena',
                '-1': 'il-kwart ta’ sena li għadda',
                future: {
                    one: 'fil-kwart tas-sena li ġej',
                    few: 'f’{0} kwarti ta’ sena oħrajn',
                    many: 'f’{0} kwarti ta’ sena oħrajn',
                    other: 'f’{0} kwarti ta’ sena oħrajn'
                },
                past: {
                    one: 'fil-kwart tas-sena li għadda',
                    few: '{0} kwarti ta’ sena ilu',
                    many: '{0} kwarti ta’ sena ilu',
                    other: '{0} kwarti ta’ sena ilu'
                }
            },
            'quarter-narrow': {
                '0': 'il-kwart ta’ sena li qegħdin fih',
                '1': 'il-kwart li jmiss tas-sena',
                '-1': 'il-kwart ta’ sena li għadda',
                future: {
                    one: 'fi kwart ta’ sena ieħor',
                    few: 'f’{0} kwarti ta’ sena oħrajn',
                    many: 'f’{0} kwarti ta’ sena oħrajn',
                    other: 'f’{0} kwarti ta’ sena oħrajn'
                },
                past: {
                    one: 'fil-kwart tas-sena li għadda',
                    few: '{0} kwarti ta’ sena ilu',
                    many: '{0} kwarti ta’ sena ilu',
                    other: '{0} kwarti ta’ sena ilu'
                }
            },
            month: {
                '0': 'Dan ix-xahar',
                '1': 'Ix-xahar id-dieħel',
                '-1': 'Ix-xahar li għadda',
                future: {
                    one: 'sa xahar ieħor',
                    few: 'fi {0} xhur oħra',
                    many: 'fi {0} xhur oħra',
                    other: 'fi {0} xhur oħra'
                },
                past: {
                    one: 'xahar ilu',
                    few: '{0} xhur ilu',
                    many: '{0} xhur ilu',
                    other: '{0} xhur ilu'
                }
            },
            'month-short': {
                future: {
                    one: 'sa xahar ieħor',
                    few: 'sa {0} xhur oħra',
                    many: 'sa {0} xhur oħra',
                    other: 'sa {0} xhur oħra'
                },
                past: {
                    one: '{0} xahar ilu',
                    few: '{0} xhur ilu',
                    many: '{0} xhur ilu',
                    other: '{0} xhur ilu'
                }
            },
            'month-narrow': {
                future: {
                    one: 'sa xahar ieħor',
                    few: 'sa {0} xhur oħra',
                    many: 'sa {0} xhur oħra',
                    other: 'sa {0} xhur oħra'
                },
                past: {
                    one: 'xahar ilu',
                    few: '{0} xhur ilu',
                    many: '{0} xhur ilu',
                    other: '{0} xhur ilu'
                }
            },
            week: {
                '0': 'din il-ġimgħa',
                '1': 'il-ġimgħa d-dieħla',
                '-1': 'il-ġimgħa li għaddiet',
                future: {
                    one: 'sa ġimgħa oħra',
                    few: 'sa {0} ġimgħat oħra',
                    many: 'sa {0} ġimgħat oħra',
                    other: 'sa {0} ġimgħat oħra'
                },
                past: {
                    one: 'ġimgħa ilu',
                    few: '{0} ġimgħat ilu',
                    many: '{0} ġimgħat ilu',
                    other: '{0} ġimgħat ilu'
                }
            },
            'week-short': {
                future: {
                    one: 'sa ġimgħa oħra',
                    few: 'sa {0} ġimgħat oħra',
                    many: 'sa {0} ġimgħat oħra',
                    other: '+{0} w'
                },
                past: {
                    one: 'ġimgħa ilu',
                    few: '{0} ġimgħat ilu',
                    many: '{0} ġimgħat ilu',
                    other: '{0} ġimgħat ilu'
                }
            },
            'week-narrow': {
                future: {
                    one: 'sa ġimgħa oħra',
                    few: 'sa {0} ġimgħat oħra',
                    many: 'sa {0} ġimgħat oħra',
                    other: 'sa {0} ġimgħat oħra'
                },
                past: {
                    one: 'ġimgħa ilu',
                    few: '{0} ġimgħat ilu',
                    many: '{0} ġimgħat ilu',
                    other: '{0} ġimgħat ilu'
                }
            },
            day: {
                '0': 'illum',
                '1': 'għada',
                '-1': 'lbieraħ',
                future: {
                    one: 'fi żmien ġurnata',
                    few: 'fi żmien {0} ġurnata oħra',
                    many: 'fi żmien {0} ġurnata oħra',
                    other: 'fi żmien {0} ġurnata oħra'
                },
                past: {
                    one: 'ġurnata ilu',
                    few: '{0} ġranet ilu',
                    many: '{0}-il ġurnata ilu',
                    other: '{0}-il ġurnata ilu'
                }
            },
            'day-short': {
                future: {
                    one: 'fi żmien ġurnata',
                    few: 'fi żmien {0} ġurnata oħra',
                    many: 'fi żmien {0} ġurnata oħra',
                    other: 'fi żmien {0} ġurnata oħra'
                },
                past: {
                    one: 'ġurnata ilu',
                    few: '{0} ġranet ilu',
                    many: '{0}-il ġurnata ilu',
                    other: '{0}-il ġurnata ilu'
                }
            },
            'day-narrow': {
                future: {
                    one: 'fi żmien ġurnata',
                    few: 'fi żmien {0} ġurnata oħra',
                    many: 'fi żmien {0} ġurnata oħra',
                    other: 'fi żmien {0} ġurnata oħra'
                },
                past: {
                    one: 'ġurnata ilu',
                    few: '{0} ġranet ilu',
                    many: '{0}-il ġurnata ilu',
                    other: '{0}-il ġurnata ilu'
                }
            },
            hour: {
                '0': 'din is-siegħa',
                future: {
                    one: 'fi żmien siegħa oħra',
                    few: 'fi żmien {0} sigħat',
                    many: 'fi żmien{0} sigħat',
                    other: 'fi żmien {0} sigħat'
                },
                past: {
                    one: 'siegħa ilu',
                    few: '{0} sigħat ilu',
                    many: '{0} sigħat ilu',
                    other: '{0} sigħat ilu'
                }
            },
            'hour-short': {
                future: {
                    one: 'fi żmien siegħa oħra',
                    few: 'fi żmien {0} sigħat',
                    many: '+{0} h',
                    other: 'fi żmien {0} sigħat'
                },
                past: {
                    one: 'siegħa ilu',
                    few: '{0} sigħat ilu',
                    many: '{0} sigħat ilu',
                    other: '{0} sigħat ilu'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'fi żmien siegħa oħra',
                    few: 'fi żmien {0} sigħat',
                    many: 'fi żmien {0} sigħat',
                    other: 'fi żmien {0} sigħat'
                },
                past: {
                    one: 'siegħa ilu',
                    few: '{0} sigħat ilu',
                    many: '{0} sigħat ilu',
                    other: '{0} sigħat ilu'
                }
            },
            minute: {
                '0': 'din il-minuta',
                future: {
                    one: 'sa minuta oħra',
                    few: 'sa {0} minuti oħra',
                    many: 'sa {0} minuti oħra',
                    other: 'sa {0} minuti oħra'
                },
                past: {
                    one: 'minuta ilu',
                    few: '{0} minuti ilu',
                    many: '{0} minuti ilu',
                    other: '{0} minuti ilu'
                }
            },
            'minute-short': {
                future: {
                    one: 'sa min. oħra',
                    few: 'sa {0} min. oħra',
                    many: 'sa {0} min. oħra',
                    other: 'sa {0} min. oħra'
                },
                past: {
                    one: 'min. ilu',
                    few: '{0} min. ilu',
                    many: '{0} minuti ilu',
                    other: '{0} min. ilu'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'sa min. oħra',
                    few: 'sa {0} min. oħra',
                    many: '+{0} min',
                    other: 'sa {0} min. oħra'
                },
                past: {
                    one: 'min. ilu',
                    few: '{0} min. ilu',
                    many: '{0} min. ilu',
                    other: '{0} min. ilu'
                }
            },
            second: {
                '0': 'issa',
                future: {
                    one: 'sa {0} sekondi oħra',
                    few: 'sa {0} sekondi oħra',
                    many: 'sa {0} sekondi oħra',
                    other: 'sa {0} sekondi oħra'
                },
                past: {
                    one: 'sekonda ilu',
                    few: '{0} sekondi ilu',
                    many: '{0} sekondi ilu',
                    other: '{0} sekondi ilu'
                }
            },
            'second-short': {
                future: {
                    one: 'sa {0} sekondi oħra',
                    few: 'sa {0} sek. oħra',
                    many: 'sa {0} sek. oħra',
                    other: 'sa {0} sekondi oħra'
                },
                past: {
                    one: 'sek. ilu',
                    few: '{0} sek. ilu',
                    many: '{0} sek. ilu',
                    other: '{0} sek. ilu'
                }
            },
            'second-narrow': {
                future: {
                    one: 'sa sek. oħra',
                    few: 'sa {0} sek. oħra',
                    many: 'sa {0} sek. oħra',
                    other: 'sa {0} sek. oħra'
                },
                past: {
                    one: 'sek. ilu',
                    few: '{0} sek. ilu',
                    many: '{0} sek. ilu',
                    other: '{0} sek. ilu'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
