if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "ne",
        data: {
            year: {
                '0': 'यो वर्ष',
                '1': 'आगामी वर्ष',
                '-1': 'गत वर्ष',
                future: {
                    one: '{0} वर्षमा',
                    other: '{0} वर्षमा'
                },
                past: {
                    one: '{0} वर्ष अघि',
                    other: '{0} वर्ष अघि'
                }
            },
            'year-short': {
                future: {
                    one: '{0} वर्षमा',
                    other: '{0} वर्षमा'
                },
                past: {
                    one: '{0} वर्ष अघि',
                    other: '{0} वर्ष अघि'
                }
            },
            'year-narrow': {
                future: {
                    one: '{0} वर्षमा',
                    other: '{0} वर्षमा'
                },
                past: {
                    one: '{0} वर्ष अघि',
                    other: '{0} वर्ष अघि'
                }
            },
            quarter: {
                '0': 'यो सत्र',
                '1': 'अर्को सत्र',
                '-1': 'अघिल्लो सत्र',
                future: {
                    one: '+{0} सत्रमा',
                    other: '{0}सत्रमा'
                },
                past: {
                    one: '{0}सत्र अघि',
                    other: '{0}सत्र अघि'
                }
            },
            'quarter-short': {
                future: {
                    one: '{0}सत्रमा',
                    other: '{0}सत्रमा'
                },
                past: {
                    one: '{0}सत्र अघि',
                    other: '{0}सत्र अघि'
                }
            },
            'quarter-narrow': {
                future: {
                    one: '{0}सत्रमा',
                    other: '{0}सत्रमा'
                },
                past: {
                    one: '{0}सत्र अघि',
                    other: '{0}सत्र अघि'
                }
            },
            month: {
                '0': 'यो महिना',
                '1': 'अर्को महिना',
                '-1': 'गत महिना',
                future: {
                    one: '{0} महिनामा',
                    other: '{0} महिनामा'
                },
                past: {
                    one: '{0} महिना पहिले',
                    other: '{0} महिना पहिले'
                }
            },
            'month-short': {
                future: {
                    one: '{0} महिनामा',
                    other: '{0} महिनामा'
                },
                past: {
                    one: '{0} महिना पहिले',
                    other: '{0} महिना पहिले'
                }
            },
            'month-narrow': {
                future: {
                    one: '{0} महिनामा',
                    other: '{0} महिनामा'
                },
                past: {
                    one: '{0} महिना पहिले',
                    other: '{0} महिना पहिले'
                }
            },
            week: {
                '0': 'यो हप्ता',
                '1': 'आउने हप्ता',
                '-1': 'गत हप्ता',
                future: {
                    one: '{0} हप्तामा',
                    other: '{0} हप्तामा'
                },
                past: {
                    one: '{0} हप्ता पहिले',
                    other: '{0} हप्ता पहिले'
                }
            },
            'week-short': {
                future: {
                    one: '{0} हप्तामा',
                    other: '{0} हप्तामा'
                },
                past: {
                    one: '{0} हप्ता पहिले',
                    other: '{0} हप्ता पहिले'
                }
            },
            'week-narrow': {
                future: {
                    one: '{0} हप्तामा',
                    other: '{0} हप्तामा'
                },
                past: {
                    one: '{0} हप्ता पहिले',
                    other: '{0} हप्ता पहिले'
                }
            },
            day: {
                '0': 'आज',
                '1': 'भोलि',
                '2': 'पर्सि',
                '-2': 'अस्ति',
                '-1': 'हिजो',
                future: {
                    one: '{0} दिनमा',
                    other: '{0} दिनमा'
                },
                past: {
                    one: '{0} दिन पहिले',
                    other: '{0} दिन पहिले'
                }
            },
            'day-short': {
                future: {
                    one: '{0} दिनमा',
                    other: '{0} दिनमा'
                },
                past: {
                    one: '{0} दिन पहिले',
                    other: '{0} दिन पहिले'
                }
            },
            'day-narrow': {
                future: {
                    one: '{0} दिनमा',
                    other: '{0} दिनमा'
                },
                past: {
                    one: '{0} दिन पहिले',
                    other: '{0} दिन पहिले'
                }
            },
            hour: {
                '0': 'यस घडीमा',
                future: {
                    one: '{0} घण्टामा',
                    other: '{0} घण्टामा'
                },
                past: {
                    one: '{0} घण्टा पहिले',
                    other: '{0} घण्टा पहिले'
                }
            },
            'hour-short': {
                future: {
                    one: '{0} घण्टामा',
                    other: '{0} घण्टामा'
                },
                past: {
                    one: '{0} घण्टा पहिले',
                    other: '{0} घण्टा पहिले'
                }
            },
            'hour-narrow': {
                future: {
                    one: '{0} घण्टामा',
                    other: '{0} घण्टामा'
                },
                past: {
                    one: '{0} घण्टा पहिले',
                    other: '{0} घण्टा पहिले'
                }
            },
            minute: {
                '0': 'यही मिनेटमा',
                future: {
                    one: '{0} मिनेटमा',
                    other: '{0} मिनेटमा'
                },
                past: {
                    one: '{0} मिनेट पहिले',
                    other: '{0} मिनेट पहिले'
                }
            },
            'minute-short': {
                future: {
                    one: '{0} मिनेटमा',
                    other: '{0} मिनेटमा'
                },
                past: {
                    one: '{0} मिनेट पहिले',
                    other: '{0} मिनेट पहिले'
                }
            },
            'minute-narrow': {
                future: {
                    one: '{0} मिनेटमा',
                    other: '{0} मिनेटमा'
                },
                past: {
                    one: '{0} मिनेट पहिले',
                    other: '{0} मिनेट पहिले'
                }
            },
            second: {
                '0': 'अहिले',
                future: {
                    one: '{0} सेकेन्डमा',
                    other: '{0} सेकेन्डमा'
                },
                past: {
                    one: '{0} सेकेन्ड पहिले',
                    other: '{0} सेकेन्ड पहिले'
                }
            },
            'second-short': {
                future: {
                    one: '{0} सेकेन्डमा',
                    other: '{0} सेकेन्डमा'
                },
                past: {
                    one: '{0} सेकेन्ड पहिले',
                    other: '{0} सेकेन्ड पहिले'
                }
            },
            'second-narrow': {
                future: {
                    one: '{0} सेकेन्डमा',
                    other: '{0} सेकेन्डमा'
                },
                past: {
                    one: '{0} सेकेन्ड पहिले',
                    other: '{0} सेकेन्ड पहिले'
                }
            },
            nu: [
                'deva'
            ]
        }
    });
}
