if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "os-GE",
        data: {
            year: {
                '0': 'this year',
                '1': 'next year',
                '-1': 'last year',
                future: {
                    other: '+{0} y'
                },
                past: {
                    other: '-{0} y'
                }
            },
            quarter: {
                '0': 'this quarter',
                '1': 'next quarter',
                '-1': 'last quarter',
                future: {
                    other: '+{0} Q'
                },
                past: {
                    other: '-{0} Q'
                }
            },
            month: {
                '0': 'this month',
                '1': 'next month',
                '-1': 'last month',
                future: {
                    other: '+{0} m'
                },
                past: {
                    other: '-{0} m'
                }
            },
            week: {
                '0': 'this week',
                '1': 'next week',
                '-1': 'last week',
                future: {
                    other: '+{0} w'
                },
                past: {
                    other: '-{0} w'
                }
            },
            day: {
                '0': 'Абон',
                '1': 'Сом',
                '2': 'Иннӕбон',
                '-2': 'Ӕндӕрӕбон',
                '-1': 'Знон',
                future: {
                    one: '{0} боны фӕстӕ',
                    other: '{0} боны фӕстӕ'
                },
                past: {
                    one: '{0} бон раздӕр',
                    other: '{0} боны размӕ'
                }
            },
            hour: {
                '0': 'this hour',
                future: {
                    one: '{0} сахаты фӕстӕ',
                    other: '{0} сахаты фӕстӕ'
                },
                past: {
                    one: '{0} сахаты размӕ',
                    other: '{0} сахаты размӕ'
                }
            },
            minute: {
                '0': 'this minute',
                future: {
                    other: '+{0} min'
                },
                past: {
                    other: '-{0} min'
                }
            },
            second: {
                '0': 'now',
                future: {
                    other: '+{0} s'
                },
                past: {
                    other: '-{0} s'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
