if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "pt-BR",
        data: {
            year: {
                '0': 'este ano',
                '1': 'próximo ano',
                '-1': 'ano passado',
                future: {
                    one: 'em {0} ano',
                    other: 'em {0} anos'
                },
                past: {
                    one: 'há {0} ano',
                    other: 'há {0} anos'
                }
            },
            'year-short': {
                '0': 'este ano',
                '1': 'próximo ano',
                '-1': 'ano passado',
                future: {
                    one: 'em {0} ano',
                    other: 'em {0} anos'
                },
                past: {
                    one: 'há {0} ano',
                    other: 'há {0} anos'
                }
            },
            'year-narrow': {
                '0': 'este ano',
                '1': 'próximo ano',
                '-1': 'ano passado',
                future: {
                    one: 'em {0} ano',
                    other: 'em {0} anos'
                },
                past: {
                    one: 'há {0} ano',
                    other: '{0} anos atrás'
                }
            },
            quarter: {
                '0': 'este trimestre',
                '1': 'próximo trimestre',
                '-1': 'último trimestre',
                future: {
                    one: 'em {0} trimestre',
                    other: 'em {0} trimestres'
                },
                past: {
                    one: 'há {0} trimestre',
                    other: 'há {0} trimestres'
                }
            },
            'quarter-short': {
                '0': 'este trimestre',
                '1': 'próximo trimestre',
                '-1': 'último trimestre',
                future: {
                    one: 'em {0} trim.',
                    other: 'em {0} trim.'
                },
                past: {
                    one: 'há {0} trim.',
                    other: '{0} trim. atrás'
                }
            },
            'quarter-narrow': {
                '0': 'este trimestre',
                '1': 'próximo trimestre',
                '-1': 'último trimestre',
                future: {
                    one: 'em {0} trim.',
                    other: 'em {0} trim.'
                },
                past: {
                    one: 'há {0} trim.',
                    other: 'há {0} trim.'
                }
            },
            month: {
                '0': 'este mês',
                '1': 'próximo mês',
                '-1': 'mês passado',
                future: {
                    one: 'em {0} mês',
                    other: 'em {0} meses'
                },
                past: {
                    one: 'há {0} mês',
                    other: 'há {0} meses'
                }
            },
            'month-short': {
                '0': 'este mês',
                '1': 'próximo mês',
                '-1': 'mês passado',
                future: {
                    one: 'em {0} mês',
                    other: 'em {0} meses'
                },
                past: {
                    one: 'há {0} mês',
                    other: 'há {0} meses'
                }
            },
            'month-narrow': {
                '0': 'este mês',
                '1': 'próximo mês',
                '-1': 'mês passado',
                future: {
                    one: 'em {0} mês',
                    other: 'em {0} meses'
                },
                past: {
                    one: 'há {0} mês',
                    other: 'há {0} meses'
                }
            },
            week: {
                '0': 'esta semana',
                '1': 'próxima semana',
                '-1': 'semana passada',
                future: {
                    one: 'em {0} semana',
                    other: 'em {0} semanas'
                },
                past: {
                    one: 'há {0} semana',
                    other: 'há {0} semanas'
                }
            },
            'week-short': {
                '0': 'esta semana',
                '1': 'próxima semana',
                '-1': 'semana passada',
                future: {
                    one: 'em {0} sem.',
                    other: 'em {0} sem.'
                },
                past: {
                    one: 'há {0} sem.',
                    other: 'há {0} sem.'
                }
            },
            'week-narrow': {
                '0': 'esta semana',
                '1': 'próxima semana',
                '-1': 'semana passada',
                future: {
                    one: 'em {0} sem.',
                    other: 'em {0} sem.'
                },
                past: {
                    one: 'há {0} sem.',
                    other: 'há {0} sem.'
                }
            },
            day: {
                '0': 'hoje',
                '1': 'amanhã',
                '2': 'depois de amanhã',
                '-2': 'anteontem',
                '-1': 'ontem',
                future: {
                    one: 'em {0} dia',
                    other: 'em {0} dias'
                },
                past: {
                    one: 'há {0} dia',
                    other: 'há {0} dias'
                }
            },
            'day-short': {
                '2': 'depois de amanhã',
                '-2': 'anteontem',
                future: {
                    one: 'em {0} dia',
                    other: 'em {0} dias'
                },
                past: {
                    one: 'há {0} dia',
                    other: 'há {0} dias'
                }
            },
            'day-narrow': {
                '2': 'depois de amanhã',
                '-2': 'anteontem',
                future: {
                    one: 'em {0} dia',
                    other: 'em {0} dias'
                },
                past: {
                    one: 'há {0} dia',
                    other: 'há {0} dias'
                }
            },
            hour: {
                '0': 'esta hora',
                future: {
                    one: 'em {0} hora',
                    other: 'em {0} horas'
                },
                past: {
                    one: 'há {0} hora',
                    other: 'há {0} horas'
                }
            },
            'hour-short': {
                future: {
                    one: 'em {0} h',
                    other: 'em {0} h'
                },
                past: {
                    one: 'há {0} h',
                    other: 'há {0} h'
                }
            },
            'hour-narrow': {
                future: {
                    one: 'em {0} h',
                    other: 'em {0} h'
                },
                past: {
                    one: 'há {0} h',
                    other: 'há {0} h'
                }
            },
            minute: {
                '0': 'este minuto',
                future: {
                    one: 'em {0} minuto',
                    other: 'em {0} minutos'
                },
                past: {
                    one: 'há {0} minuto',
                    other: 'há {0} minutos'
                }
            },
            'minute-short': {
                future: {
                    one: 'em {0} min.',
                    other: 'em {0} min.'
                },
                past: {
                    one: 'há {0} min.',
                    other: 'há {0} min.'
                }
            },
            'minute-narrow': {
                future: {
                    one: 'em {0} min.',
                    other: 'em {0} min.'
                },
                past: {
                    one: 'há {0} min.',
                    other: 'há {0} min.'
                }
            },
            second: {
                '0': 'agora',
                future: {
                    one: 'em {0} segundo',
                    other: 'em {0} segundos'
                },
                past: {
                    one: 'há {0} segundo',
                    other: 'há {0} segundos'
                }
            },
            'second-short': {
                future: {
                    one: 'em {0} seg.',
                    other: 'em {0} seg.'
                },
                past: {
                    one: 'há {0} seg.',
                    other: 'há {0} seg.'
                }
            },
            'second-narrow': {
                future: {
                    one: 'em {0} seg.',
                    other: 'em {0} seg.'
                },
                past: {
                    one: 'há {0} seg.',
                    other: 'há {0} seg.'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
