if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "pt-LU",
        data: {
            'minute-short': {
                future: {
                    one: 'dentro de {0} min',
                    other: 'dentro de {0} min'
                },
                past: {
                    one: 'há {0} min',
                    other: 'há {0} min'
                }
            },
            'minute-narrow': {
                future: {
                    one: '+{0} min',
                    other: '+{0} min'
                },
                past: {
                    one: '-{0} min',
                    other: '-{0} min'
                }
            },
            'second-short': {
                future: {
                    one: 'dentro de {0} s',
                    other: 'dentro de {0} s'
                },
                past: {
                    one: 'há {0} s',
                    other: 'há {0} s'
                }
            },
            'second-narrow': {
                future: {
                    one: '+{0} s',
                    other: '+{0} s'
                },
                past: {
                    one: '-{0} s',
                    other: '-{0} s'
                }
            },
            year: {
                '0': 'este ano',
                '1': 'próximo ano',
                '-1': 'ano passado',
                future: {
                    one: 'dentro de {0} ano',
                    other: 'dentro de {0} anos'
                },
                past: {
                    one: 'há {0} ano',
                    other: 'há {0} anos'
                }
            },
            'year-short': {
                '0': 'este ano',
                '1': 'próximo ano',
                '-1': 'ano passado',
                future: {
                    one: 'dentro de {0} ano',
                    other: 'dentro de {0} anos'
                },
                past: {
                    one: 'há {0} ano',
                    other: 'há {0} anos'
                }
            },
            'year-narrow': {
                '0': 'este ano',
                '1': 'próximo ano',
                '-1': 'ano passado',
                future: {
                    one: '+{0} ano',
                    other: '+{0} anos'
                },
                past: {
                    one: '-{0} ano',
                    other: '-{0} anos'
                }
            },
            quarter: {
                '0': 'este trimestre',
                '1': 'próximo trimestre',
                '-1': 'trimestre passado',
                future: {
                    one: 'dentro de {0} trimestre',
                    other: 'dentro de {0} trimestres'
                },
                past: {
                    one: 'há {0} trimestre',
                    other: 'há {0} trimestres'
                }
            },
            'quarter-short': {
                '0': 'este trim.',
                '1': 'próximo trim.',
                '-1': 'trim. passado',
                future: {
                    one: 'dentro de {0} trim.',
                    other: 'dentro de {0} trim.'
                },
                past: {
                    one: 'há {0} trim.',
                    other: 'há {0} trim.'
                }
            },
            'quarter-narrow': {
                '0': 'este trim.',
                '1': 'próximo trim.',
                '-1': 'trim. passado',
                future: {
                    one: '+{0} trim.',
                    other: '+{0} trim.'
                },
                past: {
                    one: '-{0} trim.',
                    other: '-{0} trim.'
                }
            },
            month: {
                '0': 'este mês',
                '1': 'próximo mês',
                '-1': 'mês passado',
                future: {
                    one: 'dentro de {0} mês',
                    other: 'dentro de {0} meses'
                },
                past: {
                    one: 'há {0} mês',
                    other: 'há {0} meses'
                }
            },
            'month-short': {
                '0': 'este mês',
                '1': 'próximo mês',
                '-1': 'mês passado',
                future: {
                    one: 'dentro de {0} mês',
                    other: 'dentro de {0} meses'
                },
                past: {
                    one: 'há {0} mês',
                    other: 'há {0} meses'
                }
            },
            'month-narrow': {
                '0': 'este mês',
                '1': 'próximo mês',
                '-1': 'mês passado',
                future: {
                    one: '+{0} mês',
                    other: '+{0} meses'
                },
                past: {
                    one: '-{0} mês',
                    other: '-{0} meses'
                }
            },
            week: {
                '0': 'esta semana',
                '1': 'próxima semana',
                '-1': 'semana passada',
                future: {
                    one: 'dentro de {0} semana',
                    other: 'dentro de {0} semanas'
                },
                past: {
                    one: 'há {0} semana',
                    other: 'há {0} semanas'
                }
            },
            'week-short': {
                '0': 'esta semana',
                '1': 'próxima semana',
                '-1': 'semana passada',
                future: {
                    one: 'dentro de {0} sem.',
                    other: 'dentro de {0} sem.'
                },
                past: {
                    one: 'há {0} sem.',
                    other: 'há {0} sem.'
                }
            },
            'week-narrow': {
                '0': 'esta semana',
                '1': 'próxima semana',
                '-1': 'semana passada',
                future: {
                    one: '+{0} sem.',
                    other: '+{0} sem.'
                },
                past: {
                    one: '-{0} sem.',
                    other: '-{0} sem.'
                }
            },
            day: {
                '0': 'hoje',
                '1': 'amanhã',
                '2': 'depois de amanhã',
                '-2': 'anteontem',
                '-1': 'ontem',
                future: {
                    one: 'dentro de {0} dia',
                    other: 'dentro de {0} dias'
                },
                past: {
                    one: 'há {0} dia',
                    other: 'há {0} dias'
                }
            },
            'day-short': {
                '0': 'hoje',
                '2': 'depois de amanhã',
                '-2': 'anteontem',
                future: {
                    one: 'dentro de {0} dia',
                    other: 'dentro de {0} dias'
                },
                past: {
                    one: 'há {0} dia',
                    other: 'há {0} dias'
                }
            },
            'day-narrow': {
                '0': 'hoje',
                '2': 'depois de amanhã',
                '-2': 'anteontem',
                future: {
                    one: '+{0} dia',
                    other: '+{0} dias'
                },
                past: {
                    one: 'há {0} dias',
                    other: 'há {0} dias'
                }
            },
            hour: {
                '0': 'esta hora',
                future: {
                    one: 'dentro de {0} hora',
                    other: 'dentro de {0} horas'
                },
                past: {
                    one: 'há {0} hora',
                    other: 'há {0} horas'
                }
            },
            'hour-short': {
                future: {
                    one: 'dentro de {0} h',
                    other: 'dentro de {0} h'
                },
                past: {
                    one: 'há {0} h',
                    other: 'há {0} h'
                }
            },
            'hour-narrow': {
                future: {
                    one: '+{0} h',
                    other: '+{0} h'
                },
                past: {
                    one: '-{0} h',
                    other: '-{0} h'
                }
            },
            minute: {
                '0': 'este minuto',
                future: {
                    one: 'dentro de {0} minuto',
                    other: 'dentro de {0} minutos'
                },
                past: {
                    one: 'há {0} minuto',
                    other: 'há {0} minutos'
                }
            },
            second: {
                '0': 'agora',
                future: {
                    one: 'dentro de {0} segundo',
                    other: 'dentro de {0} segundos'
                },
                past: {
                    one: 'há {0} segundo',
                    other: 'há {0} segundos'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
