if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "ro-RO",
        data: {
            year: {
                '0': 'anul acesta',
                '1': 'anul viitor',
                '-1': 'anul trecut',
                future: {
                    one: 'peste {0} an',
                    few: 'peste {0} ani',
                    other: 'peste {0} de ani'
                },
                past: {
                    one: 'acum {0} an',
                    few: 'acum {0} ani',
                    other: 'acum {0} de ani'
                }
            },
            'year-short': {
                '0': 'anul acesta',
                '1': 'anul viitor',
                '-1': 'anul trecut',
                future: {
                    one: 'peste {0} an',
                    few: 'peste {0} ani',
                    other: 'peste {0} de ani'
                },
                past: {
                    one: 'acum {0} an',
                    few: 'acum {0} ani',
                    other: 'acum {0} de ani'
                }
            },
            'year-narrow': {
                '0': 'anul acesta',
                '1': 'anul viitor',
                '-1': 'anul trecut',
                future: {
                    one: '+{0} an',
                    few: '+{0} ani',
                    other: '+{0} ani'
                },
                past: {
                    one: '-{0} an',
                    few: '-{0} ani',
                    other: '-{0} ani'
                }
            },
            quarter: {
                '0': 'trimestrul acesta',
                '1': 'trimestrul viitor',
                '-1': 'trimestrul trecut',
                future: {
                    one: 'peste {0} trimestru',
                    few: 'peste {0} trimestre',
                    other: 'peste {0} de trimestre'
                },
                past: {
                    one: 'acum {0} trimestru',
                    few: 'acum {0} trimestre',
                    other: 'acum {0} de trimestre'
                }
            },
            'quarter-short': {
                '0': 'trim. acesta',
                '1': 'trim. viitor',
                '-1': 'trim. trecut',
                future: {
                    one: 'peste {0} trim.',
                    few: 'peste {0} trim.',
                    other: 'peste {0} trim.'
                },
                past: {
                    one: 'acum {0} trim.',
                    few: 'acum {0} trim.',
                    other: 'acum {0} trim.'
                }
            },
            'quarter-narrow': {
                '0': 'trim. acesta',
                '1': 'trim. viitor',
                '-1': 'trim. trecut',
                future: {
                    one: '+{0} trim.',
                    few: '+{0} trim.',
                    other: '+{0} trim.'
                },
                past: {
                    one: '-{0} trim.',
                    few: '-{0} trim.',
                    other: '-{0} trim.'
                }
            },
            month: {
                '0': 'luna aceasta',
                '1': 'luna viitoare',
                '-1': 'luna trecută',
                future: {
                    one: 'peste {0} lună',
                    few: 'peste {0} luni',
                    other: 'peste {0} de luni'
                },
                past: {
                    one: 'acum {0} lună',
                    few: 'acum {0} luni',
                    other: 'acum {0} de luni'
                }
            },
            'month-short': {
                '0': 'luna aceasta',
                '1': 'luna viitoare',
                '-1': 'luna trecută',
                future: {
                    one: 'peste {0} lună',
                    few: 'peste {0} luni',
                    other: 'peste {0} luni'
                },
                past: {
                    one: 'acum {0} lună',
                    few: 'acum {0} luni',
                    other: 'acum {0} luni'
                }
            },
            'month-narrow': {
                '0': 'luna aceasta',
                '1': 'luna viitoare',
                '-1': 'luna trecută',
                future: {
                    one: '+{0} lună',
                    few: '+{0} luni',
                    other: '+{0} luni'
                },
                past: {
                    one: '-{0} lună',
                    few: '-{0} luni',
                    other: '-{0} luni'
                }
            },
            week: {
                '0': 'săptămâna aceasta',
                '1': 'săptămâna viitoare',
                '-1': 'săptămâna trecută',
                future: {
                    one: 'peste {0} săptămână',
                    few: 'peste {0} săptămâni',
                    other: 'peste {0} de săptămâni'
                },
                past: {
                    one: 'acum {0} săptămână',
                    few: 'acum {0} săptămâni',
                    other: 'acum {0} de săptămâni'
                }
            },
            'week-short': {
                '0': 'săpt. aceasta',
                '1': 'săpt. viitoare',
                '-1': 'săpt. trecută',
                future: {
                    one: 'peste {0} săpt.',
                    few: 'peste {0} săpt.',
                    other: 'peste {0} săpt.'
                },
                past: {
                    one: 'acum {0} săpt.',
                    few: 'acum {0} săpt.',
                    other: 'acum {0} săpt.'
                }
            },
            'week-narrow': {
                '0': 'săptămâna aceasta',
                '1': 'săpt. viitoare',
                '-1': 'săpt. trecută',
                future: {
                    one: '+{0} săpt.',
                    few: '+{0} săpt.',
                    other: '+{0} săpt.'
                },
                past: {
                    one: '-{0} săpt.',
                    few: '-{0} săpt.',
                    other: '-{0} săpt.'
                }
            },
            day: {
                '0': 'azi',
                '1': 'mâine',
                '2': 'poimâine',
                '-2': 'alaltăieri',
                '-1': 'ieri',
                future: {
                    one: 'peste {0} zi',
                    few: 'peste {0} zile',
                    other: 'peste {0} de zile'
                },
                past: {
                    one: 'acum {0} zi',
                    few: 'acum {0} zile',
                    other: 'acum {0} de zile'
                }
            },
            'day-short': {
                '0': 'azi',
                '1': 'mâine',
                '2': 'poimâine',
                '-2': 'alaltăieri',
                '-1': 'ieri',
                future: {
                    one: 'peste {0} zi',
                    few: 'peste {0} zile',
                    other: 'peste {0} de zile'
                },
                past: {
                    one: 'acum {0} zi',
                    few: 'acum {0} zile',
                    other: 'acum {0} de zile'
                }
            },
            'day-narrow': {
                '0': 'azi',
                '1': 'mâine',
                '2': 'poimâine',
                '-2': 'alaltăieri',
                '-1': 'ieri',
                future: {
                    one: '+{0} zi',
                    few: '+{0} zile',
                    other: '+{0} zile'
                },
                past: {
                    one: '-{0} zi',
                    few: '-{0} zile',
                    other: '-{0} zile'
                }
            },
            hour: {
                '0': 'ora aceasta',
                future: {
                    one: 'peste {0} oră',
                    few: 'peste {0} ore',
                    other: 'peste {0} de ore'
                },
                past: {
                    one: 'acum {0} oră',
                    few: 'acum {0} ore',
                    other: 'acum {0} de ore'
                }
            },
            'hour-short': {
                '0': 'ora aceasta',
                future: {
                    one: 'peste {0} h',
                    few: 'peste {0} h',
                    other: 'peste {0} h'
                },
                past: {
                    one: 'acum {0} h',
                    few: 'acum {0} h',
                    other: 'acum {0} h'
                }
            },
            'hour-narrow': {
                '0': 'ora aceasta',
                future: {
                    one: '+{0} h',
                    few: '+{0} h',
                    other: '+{0} h'
                },
                past: {
                    one: '-{0} h',
                    few: '-{0} h',
                    other: '-{0} h'
                }
            },
            minute: {
                '0': 'minutul acesta',
                future: {
                    one: 'peste {0} minut',
                    few: 'peste {0} minute',
                    other: 'peste {0} de minute'
                },
                past: {
                    one: 'acum {0} minut',
                    few: 'acum {0} minute',
                    other: 'acum {0} de minute'
                }
            },
            'minute-short': {
                '0': 'minutul acesta',
                future: {
                    one: 'peste {0} min.',
                    few: 'peste {0} min.',
                    other: 'peste {0} min.'
                },
                past: {
                    one: 'acum {0} min.',
                    few: 'acum {0} min.',
                    other: 'acum {0} min.'
                }
            },
            'minute-narrow': {
                '0': 'minutul acesta',
                future: {
                    one: '+{0} m',
                    few: '+{0} m',
                    other: '+{0} m'
                },
                past: {
                    one: '-{0} m',
                    few: '-{0} m',
                    other: '-{0} m'
                }
            },
            second: {
                '0': 'acum',
                future: {
                    one: 'peste {0} secundă',
                    few: 'peste {0} secunde',
                    other: 'peste {0} de secunde'
                },
                past: {
                    one: 'acum {0} secundă',
                    few: 'acum {0} secunde',
                    other: 'acum {0} de secunde'
                }
            },
            'second-short': {
                '0': 'acum',
                future: {
                    one: 'peste {0} sec.',
                    few: 'peste {0} sec.',
                    other: 'peste {0} sec.'
                },
                past: {
                    one: 'acum {0} sec.',
                    few: 'acum {0} sec.',
                    other: 'acum {0} sec.'
                }
            },
            'second-narrow': {
                '0': 'acum',
                future: {
                    one: '+{0} s',
                    few: '+{0} s',
                    other: '+{0} s'
                },
                past: {
                    one: '-{0} s',
                    few: '-{0} s',
                    other: '-{0} s'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
