if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "se-FI",
        data: {
            year: {
                '0': 'dán jagi',
                '1': 'boahtte jagi',
                '-1': 'diibmá',
                future: {
                    one: '{0} jagi siste',
                    two: '{0} jagi siste',
                    other: '{0} jagi siste'
                },
                past: {
                    one: 'diibmá',
                    two: 'ovddet jagi',
                    other: '{0} jagi dás ovdal'
                }
            },
            'year-short': {
                '0': 'dán jagi',
                '1': 'boahtte jagi',
                future: {
                    one: '{0} j. siste',
                    two: '{0} jagi siste',
                    other: '{0} j. siste'
                },
                past: {
                    one: 'diibmá',
                    two: 'ovddet jagi',
                    other: '{0} j. dás ovdal'
                }
            },
            'year-narrow': {
                future: {
                    one: '{0} jagi siste',
                    two: '{0} jagi siste',
                    other: '{0} jagi siste'
                },
                past: {
                    one: '{0} j. dás ovdal',
                    two: '{0} jagi dás ovdal',
                    other: '{0} j. dás ovdal'
                }
            },
            quarter: {
                '0': 'dán njealjádasjagi',
                '1': 'boahtte njealjádasjagi',
                '-1': 'mannan njealjádasjagi',
                future: {
                    one: 'čuovvovaš {0} njealjádasjagi',
                    two: 'čuovvovaš {0} njealjádasjagi',
                    other: 'čuovvovaš {0} njealjádasjagi'
                },
                past: {
                    one: '-{0} njealjádasjagi dás ovdal',
                    two: '-{0} njealjádasjagi dás ovdal',
                    other: '-{0} njealjádasjagi dás ovdal'
                }
            },
            'quarter-short': {
                future: {
                    one: 'boahtte {0} njealj.j.',
                    two: 'boahtte {0} njealjádasjagi',
                    other: 'boahtte {0} njealj.j.'
                },
                past: {
                    one: '{0} njealj.j. dás ovdal',
                    two: '{0} njealjádasjagi dás ovdal',
                    other: '{0} njealj.j. dás ovdal'
                }
            },
            'quarter-narrow': {
                future: {
                    one: 'boahtte {0} njealj.j.',
                    two: 'boahtte {0} njealjádasjagi',
                    other: 'boahtte {0} njealj.j.'
                },
                past: {
                    one: '{0} njealj.j. dás ovdal',
                    two: '-{0} njealjádasjagi dás ovdal',
                    other: '{0} njealj.j. dás ovdal'
                }
            },
            'month-short': {
                future: {
                    one: '{0} mánu siste',
                    two: '{0} mánu siste',
                    other: '{0} mánu siste'
                },
                past: {
                    one: '{0} mánnu dás ovdal',
                    two: '{0} mánu dás ovdal',
                    other: '{0} mánu dás ovdal'
                }
            },
            'month-narrow': {
                future: {
                    one: '{0} mánu geahčen',
                    two: '{0} mánu geahčen',
                    other: '{0} mánu geahčen'
                },
                past: {
                    one: '{0} mánnu dás ovdal',
                    two: '{0} mánu dás ovdal',
                    other: '{0} mánu dás ovdal'
                }
            },
            week: {
                '0': 'dán vahku',
                '1': 'boahtte vahku',
                '-1': 'mannan vahku',
                future: {
                    one: '{0} vahku geahčen',
                    two: '{0} vahku geahčen',
                    other: '{0} vahku geahčen'
                },
                past: {
                    one: '{0} vahkku dás ovdal',
                    two: '{0} vahku dás ovdal',
                    other: '{0} vahku dás ovdal'
                }
            },
            'week-short': {
                future: {
                    one: '{0} v(k) siste',
                    two: '{0} vahku siste',
                    other: '{0} v(k) siste'
                },
                past: {
                    one: '{0} v(k) dás ovdal',
                    two: '{0} vahku dás ovdal',
                    other: '{0} v(k) dás ovdal'
                }
            },
            'week-narrow': {
                future: {
                    one: '{0} v(k) geahčen',
                    two: '{0} v(k) geahčen',
                    other: '{0} v(k) geahčen'
                },
                past: {
                    one: '{0} vahkku dás ovdal',
                    two: '{0} vahku dás ovdal',
                    other: '{0} v(k) dás ovdal'
                }
            },
            'day-short': {
                future: {
                    one: '{0} beaivve siste',
                    two: '{0} beaivve siste',
                    other: '{0} beaivve siste'
                },
                past: {
                    one: 'ikte',
                    two: 'ovddet beaivve',
                    other: '{0} beaivve dás ovdal'
                }
            },
            'day-narrow': {
                future: {
                    one: '{0} beaivve siste',
                    two: '{0} beaivve siste',
                    other: '{0} beaivve siste'
                },
                past: {
                    one: 'ikte',
                    two: 'ovddet beaivve',
                    other: '{0} beaivve dás ovdal'
                }
            },
            'hour-short': {
                future: {
                    one: '{0} dmu siste',
                    two: '{0} diimmu siste',
                    other: '{0} dmu siste'
                },
                past: {
                    one: '{0} dmu áigi',
                    two: '{0} diimmu áigi',
                    other: '{0} dmu áigi'
                }
            },
            'hour-narrow': {
                future: {
                    one: '{0} dmu siste',
                    two: '{0} diimmu siste',
                    other: '{0} dmu siste'
                },
                past: {
                    one: '{0} dmu áigi',
                    two: '{0} diimmu áigi',
                    other: '{0} dmu áigi'
                }
            },
            'minute-short': {
                future: {
                    one: '{0} min. siste',
                    two: '{0} minuhta siste',
                    other: '{0} min. siste'
                },
                past: {
                    one: '{0} min. áigi',
                    two: '{0} minuhta áigi',
                    other: '{0} min. áigi'
                }
            },
            'minute-narrow': {
                future: {
                    one: '{0} min. siste',
                    two: '{0} minuhta siste',
                    other: '{0} min. siste'
                },
                past: {
                    one: '{0} min. áigi',
                    two: '{0} minuhta áigi',
                    other: '{0} min. áigi'
                }
            },
            'second-short': {
                future: {
                    one: '{0} sek. siste',
                    two: '{0} sekundda siste',
                    other: '{0} sek. siste'
                },
                past: {
                    one: '{0} sek. áigi',
                    two: '{0} sekundda áigi',
                    other: '{0} sek. áigi'
                }
            },
            'second-narrow': {
                future: {
                    one: '{0} sek. siste',
                    two: '{0} sekundda siste',
                    other: '{0} sek. siste'
                },
                past: {
                    one: '{0} sek. áigi',
                    two: '{0} sekundda áigi',
                    other: '{0} sek. áigi'
                }
            },
            month: {
                '0': 'dán mánu',
                '1': 'boahtte mánu',
                '-1': 'mannan mánu',
                future: {
                    one: '{0} mánu siste',
                    two: '{0} mánu siste',
                    other: '{0} mánu siste'
                },
                past: {
                    one: '{0} mánnu dás ovdal',
                    two: '{0} mánu dás ovdal',
                    other: '{0} mánu dás ovdal'
                }
            },
            day: {
                '0': 'odne',
                '1': 'ihttin',
                '2': 'don beaivve',
                '-2': 'ovddet beaivvi',
                '-1': 'ikte',
                future: {
                    one: '{0} beaivve siste',
                    two: '{0} beaivve siste',
                    other: '{0} beaivve siste'
                },
                past: {
                    one: 'ikte',
                    two: 'ovddet beaivve',
                    other: '{0} beaivve dás ovdal'
                }
            },
            hour: {
                '0': 'dán diimmu',
                future: {
                    one: '{0} diimmu siste',
                    two: '{0} diimmu siste',
                    other: '{0} diimmu siste'
                },
                past: {
                    one: '{0} diibmu áigi',
                    two: '{0} diimmu áigi',
                    other: '{0} diimmu áigi'
                }
            },
            minute: {
                '0': 'dán minuhta',
                future: {
                    one: '{0} minuhta siste',
                    two: '{0} minuhta siste',
                    other: '{0} minuhta siste'
                },
                past: {
                    one: '{0} minuhtta áigi',
                    two: '{0} minuhta áigi',
                    other: '{0} minuhta áigi'
                }
            },
            second: {
                '0': 'dál',
                future: {
                    one: '{0} sekundda siste',
                    two: '{0} sekundda siste',
                    other: '{0} sekundda siste'
                },
                past: {
                    one: '{0} sekunda áigi',
                    two: '{0} sekundda áigi',
                    other: '{0} sekundda áigi'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
