if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "sv-FI",
        data: {
            year: {
                '0': 'i år',
                '1': 'nästa år',
                '-1': 'i fjol',
                future: {
                    one: 'om {0} år',
                    other: 'om {0} år'
                },
                past: {
                    one: 'för {0} år sedan',
                    other: 'för {0} år sedan'
                }
            },
            'year-short': {
                '0': 'i år',
                '1': 'nästa år',
                '-1': 'i fjol',
                future: {
                    one: 'om {0} år',
                    other: 'om {0} år'
                },
                past: {
                    one: 'för {0} år sen',
                    other: 'för {0} år sen'
                }
            },
            'year-narrow': {
                '0': 'i år',
                '1': 'nästa år',
                '-1': 'i fjol',
                future: {
                    one: '+{0} år',
                    other: '+{0} år'
                },
                past: {
                    one: '−{0} år',
                    other: '−{0} år'
                }
            },
            quarter: {
                '0': 'detta kvartal',
                '1': 'nästa kvartal',
                '-1': 'förra kvartalet',
                future: {
                    one: 'om {0} kvartal',
                    other: 'om {0} kvartal'
                },
                past: {
                    one: 'för {0} kvartal sedan',
                    other: 'för {0} kvartal sedan'
                }
            },
            'quarter-short': {
                '0': 'detta kv.',
                '1': 'nästa kv.',
                '-1': 'förra kv.',
                future: {
                    one: 'om {0} kv.',
                    other: 'om {0} kv.'
                },
                past: {
                    one: 'för {0} kv. sen',
                    other: 'för {0} kv. sen'
                }
            },
            'quarter-narrow': {
                '0': 'detta kv.',
                '1': 'nästa kv.',
                '-1': 'förra kv.',
                future: {
                    one: '+{0} kv.',
                    other: '+{0} kv.'
                },
                past: {
                    one: '−{0} kv',
                    other: '−{0} kv'
                }
            },
            month: {
                '0': 'denna månad',
                '1': 'nästa månad',
                '-1': 'förra månaden',
                future: {
                    one: 'om {0} månad',
                    other: 'om {0} månader'
                },
                past: {
                    one: 'för {0} månad sedan',
                    other: 'för {0} månader sedan'
                }
            },
            'month-short': {
                '0': 'denna mån.',
                '1': 'nästa mån.',
                '-1': 'förra mån.',
                future: {
                    one: 'om {0} mån.',
                    other: 'om {0} mån.'
                },
                past: {
                    one: 'för {0} mån. sen',
                    other: 'för {0} mån. sen'
                }
            },
            'month-narrow': {
                '0': 'denna mån.',
                '1': 'nästa mån.',
                '-1': 'förra mån.',
                future: {
                    one: '+{0} mån.',
                    other: '+{0} mån.'
                },
                past: {
                    one: '−{0} mån',
                    other: '−{0} mån'
                }
            },
            week: {
                '0': 'denna vecka',
                '1': 'nästa vecka',
                '-1': 'förra veckan',
                future: {
                    one: 'om {0} vecka',
                    other: 'om {0} veckor'
                },
                past: {
                    one: 'för {0} vecka sedan',
                    other: 'för {0} veckor sedan'
                }
            },
            'week-short': {
                '0': 'denna v.',
                '1': 'nästa v.',
                '-1': 'förra v.',
                future: {
                    one: 'om {0} v.',
                    other: 'om {0} v.'
                },
                past: {
                    one: 'för {0} v. sedan',
                    other: 'för {0} v. sedan'
                }
            },
            'week-narrow': {
                '0': 'denna v.',
                '1': 'nästa v.',
                '-1': 'förra v.',
                future: {
                    one: '+{0} v.',
                    other: '+{0} v.'
                },
                past: {
                    one: '−{0} v',
                    other: '−{0} v'
                }
            },
            day: {
                '0': 'i dag',
                '1': 'i morgon',
                '2': 'i övermorgon',
                '-2': 'i förrgår',
                '-1': 'i går',
                future: {
                    one: 'om {0} dag',
                    other: 'om {0} dagar'
                },
                past: {
                    one: 'för {0} dag sedan',
                    other: 'för {0} dagar sedan'
                }
            },
            'day-short': {
                '0': 'i dag',
                '1': 'i morgon',
                '2': 'i övermorgon',
                '-2': 'i förrgår',
                '-1': 'i går',
                future: {
                    one: 'om {0} d',
                    other: 'om {0} d'
                },
                past: {
                    one: 'för {0} d sedan',
                    other: 'för {0} d sedan'
                }
            },
            'day-narrow': {
                '0': 'idag',
                '1': 'imorgon',
                '2': 'i övermorgon',
                '-2': 'i förrgår',
                '-1': 'igår',
                future: {
                    one: '+{0} d',
                    other: '+{0} d'
                },
                past: {
                    one: '−{0} d',
                    other: '−{0} d'
                }
            },
            hour: {
                '0': 'denna timme',
                future: {
                    one: 'om {0} timme',
                    other: 'om {0} timmar'
                },
                past: {
                    one: 'för {0} timme sedan',
                    other: 'för {0} timmar sedan'
                }
            },
            'hour-short': {
                '0': 'denna timme',
                future: {
                    one: 'om {0} tim',
                    other: 'om {0} tim'
                },
                past: {
                    one: 'för {0} tim sedan',
                    other: 'för {0} tim sedan'
                }
            },
            'hour-narrow': {
                '0': 'denna timme',
                future: {
                    one: '+{0} h',
                    other: '+{0} h'
                },
                past: {
                    one: '−{0} h',
                    other: '−{0} h'
                }
            },
            minute: {
                '0': 'denna minut',
                future: {
                    one: 'om {0} minut',
                    other: 'om {0} minuter'
                },
                past: {
                    one: 'för {0} minut sedan',
                    other: 'för {0} minuter sedan'
                }
            },
            'minute-short': {
                '0': 'denna minut',
                future: {
                    one: 'om {0} min',
                    other: 'om {0} min'
                },
                past: {
                    one: 'för {0} min sen',
                    other: 'för {0} min sen'
                }
            },
            'minute-narrow': {
                '0': 'denna minut',
                future: {
                    one: '+{0} min',
                    other: '+{0} min'
                },
                past: {
                    one: '−{0} min',
                    other: '−{0} min'
                }
            },
            second: {
                '0': 'nu',
                future: {
                    one: 'om {0} sekund',
                    other: 'om {0} sekunder'
                },
                past: {
                    one: 'för {0} sekund sedan',
                    other: 'för {0} sekunder sedan'
                }
            },
            'second-short': {
                '0': 'nu',
                future: {
                    one: 'om {0} sek',
                    other: 'om {0} sek'
                },
                past: {
                    one: 'för {0} s sen',
                    other: 'för {0} s sen'
                }
            },
            'second-narrow': {
                '0': 'nu',
                future: {
                    one: '+{0} s',
                    other: '+{0} s'
                },
                past: {
                    one: '−{0} s',
                    other: '−{0} s'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
