if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "yi-001",
        data: {
            year: {
                '0': 'הײַ יאָר',
                '1': 'איבער א יאָר',
                '-1': 'פֿאַראַיאָר',
                future: {
                    one: 'איבער {0} יאָר',
                    other: 'איבער {0} יאָר'
                },
                past: {
                    one: 'פֿאַר {0} יאָר',
                    other: 'פֿאַר {0} יאָר'
                }
            },
            'year-short': {
                future: {
                    one: 'איבער א יאָר',
                    other: 'איבער {0} יאָר'
                },
                past: {
                    one: 'פֿאַר {0} יאָר',
                    other: 'פֿאַר {0} יאָר'
                }
            },
            'year-narrow': {
                future: {
                    one: 'איבער {0} יאָר',
                    other: 'איבער {0} יאָר'
                },
                past: {
                    one: 'פֿאַר {0} יאָר',
                    other: 'פֿאַר {0} יאָר'
                }
            },
            month: {
                '0': 'דעם חודש',
                '1': 'קומענדיקן חודש',
                '-1': 'פֿאַרגאנגענעם חודש',
                future: {
                    one: 'איבער {0} חודש',
                    other: 'איבער {0} חדשים'
                },
                past: {
                    one: 'פֿאַר {0} חודש',
                    other: 'פֿאַר {0} חדשים'
                }
            },
            'month-short': {
                future: {
                    one: 'איבער {0} חודש',
                    other: 'איבער {0} חדשים'
                },
                past: {
                    one: 'פֿאַר {0} חודש',
                    other: 'פֿאַר {0} חדשים'
                }
            },
            'month-narrow': {
                future: {
                    one: 'איבער {0} חודש',
                    other: 'איבער {0} חדשים'
                },
                past: {
                    one: 'פֿאַר {0} חודש',
                    other: 'פֿאַר {0} חדשים'
                }
            },
            week: {
                '0': 'this week',
                '1': 'איבער אַכט טאָג',
                '-1': 'last week',
                future: {
                    other: '+{0} w'
                },
                past: {
                    other: '-{0} w'
                }
            },
            day: {
                '0': 'היינט',
                '1': 'מארגן',
                '-1': 'נעכטן',
                future: {
                    one: 'אין {0} טאָג אַרום',
                    other: 'אין {0} טעג אַרום'
                },
                past: {
                    other: '-{0} d'
                }
            },
            hour: {
                '0': 'this hour',
                future: {
                    other: '+{0} h'
                },
                past: {
                    other: '-{0} h'
                }
            },
            minute: {
                '0': 'this minute',
                future: {
                    other: '+{0} min'
                },
                past: {
                    other: '-{0} min'
                }
            },
            second: {
                '0': 'now',
                future: {
                    other: '+{0} s'
                },
                past: {
                    other: '-{0} s'
                }
            },
            quarter: {
                '0': 'this quarter',
                '1': 'next quarter',
                '-1': 'last quarter',
                future: {
                    other: '+{0} Q'
                },
                past: {
                    other: '-{0} Q'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
