if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "yue-Hant",
        data: {
            year: {
                '0': '今年',
                '1': '下年',
                '-1': '舊年',
                future: {
                    other: '{0} 年後'
                },
                past: {
                    other: '{0} 年前'
                }
            },
            'year-short': {
                future: {
                    other: '{0} 年後'
                },
                past: {
                    other: '{0} 年前'
                }
            },
            'year-narrow': {
                future: {
                    other: '{0} 年後'
                },
                past: {
                    other: '{0} 年前'
                }
            },
            quarter: {
                '0': '今季',
                '1': '下一季',
                '-1': '上一季',
                future: {
                    other: '{0} 季後'
                },
                past: {
                    other: '{0} 季前'
                }
            },
            'quarter-short': {
                '0': '今季',
                '1': '下季',
                '-1': '上季',
                future: {
                    other: '{0} 季後'
                },
                past: {
                    other: '{0} 季前'
                }
            },
            'quarter-narrow': {
                '0': '今季',
                '1': '下季',
                '-1': '上季',
                future: {
                    other: '{0} 季後'
                },
                past: {
                    other: '{0} 季前'
                }
            },
            month: {
                '0': '今個月',
                '1': '下個月',
                '-1': '上個月',
                future: {
                    other: '{0} 個月後'
                },
                past: {
                    other: '{0} 個月前'
                }
            },
            'month-short': {
                future: {
                    other: '{0} 個月後'
                },
                past: {
                    other: '{0} 個月前'
                }
            },
            'month-narrow': {
                future: {
                    other: '{0} 個月後'
                },
                past: {
                    other: '{0} 個月前'
                }
            },
            week: {
                '0': '今個星期',
                '1': '下星期',
                '-1': '上星期',
                future: {
                    other: '{0} 個星期後'
                },
                past: {
                    other: '{0} 個星期前'
                }
            },
            'week-short': {
                future: {
                    other: '{0} 個星期後'
                },
                past: {
                    other: '{0} 個星期前'
                }
            },
            'week-narrow': {
                future: {
                    other: '{0} 個星期後'
                },
                past: {
                    other: '{0} 個星期前'
                }
            },
            day: {
                '0': '今日',
                '1': '聽日',
                '2': '後天',
                '-2': '前天',
                '-1': '尋日',
                future: {
                    other: '{0} 日後'
                },
                past: {
                    other: '{0} 日前'
                }
            },
            'day-short': {
                future: {
                    other: '{0} 日後'
                },
                past: {
                    other: '{0} 日前'
                }
            },
            'day-narrow': {
                future: {
                    other: '{0} 日後'
                },
                past: {
                    other: '{0} 日前'
                }
            },
            hour: {
                '0': '呢個小時',
                future: {
                    other: '{0} 小時後'
                },
                past: {
                    other: '{0} 小時前'
                }
            },
            'hour-short': {
                future: {
                    other: '{0} 小時後'
                },
                past: {
                    other: '{0} 小時前'
                }
            },
            'hour-narrow': {
                future: {
                    other: '{0} 小時後'
                },
                past: {
                    other: '{0} 小時前'
                }
            },
            minute: {
                '0': '呢分鐘',
                future: {
                    other: '{0} 分鐘後'
                },
                past: {
                    other: '{0} 分鐘前'
                }
            },
            'minute-short': {
                future: {
                    other: '{0} 分鐘後'
                },
                past: {
                    other: '{0} 分鐘前'
                }
            },
            'minute-narrow': {
                future: {
                    other: '{0} 分鐘後'
                },
                past: {
                    other: '{0} 分鐘前'
                }
            },
            second: {
                '0': '宜家',
                future: {
                    other: '{0} 秒後'
                },
                past: {
                    other: '{0} 秒前'
                }
            },
            'second-short': {
                future: {
                    other: '{0} 秒後'
                },
                past: {
                    other: '{0} 秒前'
                }
            },
            'second-narrow': {
                future: {
                    other: '{0} 秒後'
                },
                past: {
                    other: '{0} 秒前'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
