if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "zh-Hans-CN",
        data: {
            year: {
                '0': '今年',
                '1': '明年',
                '-1': '去年',
                future: {
                    other: '{0}年后'
                },
                past: {
                    other: '{0}年前'
                }
            },
            'year-short': {
                '0': '今年',
                '1': '明年',
                '-1': '去年',
                future: {
                    other: '{0}年后'
                },
                past: {
                    other: '{0}年前'
                }
            },
            'year-narrow': {
                '0': '今年',
                '1': '明年',
                '-1': '去年',
                future: {
                    other: '{0}年后'
                },
                past: {
                    other: '{0}年前'
                }
            },
            quarter: {
                '0': '本季度',
                '1': '下季度',
                '-1': '上季度',
                future: {
                    other: '{0}个季度后'
                },
                past: {
                    other: '{0}个季度前'
                }
            },
            'quarter-short': {
                '0': '本季度',
                '1': '下季度',
                '-1': '上季度',
                future: {
                    other: '{0}个季度后'
                },
                past: {
                    other: '{0}个季度前'
                }
            },
            'quarter-narrow': {
                '0': '本季度',
                '1': '下季度',
                '-1': '上季度',
                future: {
                    other: '{0}个季度后'
                },
                past: {
                    other: '{0}个季度前'
                }
            },
            month: {
                '0': '本月',
                '1': '下个月',
                '-1': '上个月',
                future: {
                    other: '{0}个月后'
                },
                past: {
                    other: '{0}个月前'
                }
            },
            'month-short': {
                '0': '本月',
                '1': '下个月',
                '-1': '上个月',
                future: {
                    other: '{0}个月后'
                },
                past: {
                    other: '{0}个月前'
                }
            },
            'month-narrow': {
                '0': '本月',
                '1': '下个月',
                '-1': '上个月',
                future: {
                    other: '{0}个月后'
                },
                past: {
                    other: '{0}个月前'
                }
            },
            week: {
                '0': '本周',
                '1': '下周',
                '-1': '上周',
                future: {
                    other: '{0}周后'
                },
                past: {
                    other: '{0}周前'
                }
            },
            'week-short': {
                '0': '本周',
                '1': '下周',
                '-1': '上周',
                future: {
                    other: '{0}周后'
                },
                past: {
                    other: '{0}周前'
                }
            },
            'week-narrow': {
                '0': '本周',
                '1': '下周',
                '-1': '上周',
                future: {
                    other: '{0}周后'
                },
                past: {
                    other: '{0}周前'
                }
            },
            day: {
                '0': '今天',
                '1': '明天',
                '2': '后天',
                '-2': '前天',
                '-1': '昨天',
                future: {
                    other: '{0}天后'
                },
                past: {
                    other: '{0}天前'
                }
            },
            'day-short': {
                '0': '今天',
                '1': '明天',
                '2': '后天',
                '-2': '前天',
                '-1': '昨天',
                future: {
                    other: '{0}天后'
                },
                past: {
                    other: '{0}天前'
                }
            },
            'day-narrow': {
                '0': '今天',
                '1': '明天',
                '2': '后天',
                '-2': '前天',
                '-1': '昨天',
                future: {
                    other: '{0}天后'
                },
                past: {
                    other: '{0}天前'
                }
            },
            hour: {
                '0': '这一时间 / 此时',
                future: {
                    other: '{0}小时后'
                },
                past: {
                    other: '{0}小时前'
                }
            },
            'hour-short': {
                '0': '这一时间 / 此时',
                future: {
                    other: '{0}小时后'
                },
                past: {
                    other: '{0}小时前'
                }
            },
            'hour-narrow': {
                '0': '这一时间 / 此时',
                future: {
                    other: '{0}小时后'
                },
                past: {
                    other: '{0}小时前'
                }
            },
            minute: {
                '0': '此刻',
                future: {
                    other: '{0}分钟后'
                },
                past: {
                    other: '{0}分钟前'
                }
            },
            'minute-short': {
                '0': '此刻',
                future: {
                    other: '{0}分钟后'
                },
                past: {
                    other: '{0}分钟前'
                }
            },
            'minute-narrow': {
                '0': '此刻',
                future: {
                    other: '{0}分钟后'
                },
                past: {
                    other: '{0}分钟前'
                }
            },
            second: {
                '0': '现在',
                future: {
                    other: '{0}秒钟后'
                },
                past: {
                    other: '{0}秒钟前'
                }
            },
            'second-short': {
                '0': '现在',
                future: {
                    other: '{0}秒后'
                },
                past: {
                    other: '{0}秒前'
                }
            },
            'second-narrow': {
                '0': '现在',
                future: {
                    other: '{0}秒后'
                },
                past: {
                    other: '{0}秒前'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
