if ("__addLocaleData" in Intl.RelativeTimeFormat) {
    Intl.RelativeTimeFormat.__addLocaleData({
        locale: "zh-Hant-HK",
        data: {
            week: {
                '0': '本星期',
                '1': '下星期',
                '-1': '上星期',
                future: {
                    other: '{0} 星期後'
                },
                past: {
                    other: '{0} 星期前'
                }
            },
            'week-short': {
                '0': '本星期',
                '1': '下星期',
                '-1': '上星期',
                future: {
                    other: '{0} 星期後'
                },
                past: {
                    other: '{0} 星期前'
                }
            },
            'hour-narrow': {
                '0': '這個小時',
                future: {
                    other: '{0}小時後'
                },
                past: {
                    other: '{0}小時前'
                }
            },
            'minute-narrow': {
                '0': '這分鐘',
                future: {
                    other: '{0}分後'
                },
                past: {
                    other: '{0}分前'
                }
            },
            year: {
                '0': '今年',
                '1': '下年',
                '-1': '上年',
                future: {
                    other: '{0} 年後'
                },
                past: {
                    other: '{0} 年前'
                }
            },
            'year-short': {
                '0': '今年',
                '1': '下年',
                '-1': '上年',
                future: {
                    other: '{0} 年後'
                },
                past: {
                    other: '{0} 年前'
                }
            },
            'year-narrow': {
                '0': '今年',
                '1': '下年',
                '-1': '上年',
                future: {
                    other: '{0}年後'
                },
                past: {
                    other: '{0}年前'
                }
            },
            quarter: {
                '0': '今季',
                '1': '下一季',
                '-1': '上一季',
                future: {
                    other: '{0} 季後'
                },
                past: {
                    other: '{0} 季前'
                }
            },
            'quarter-short': {
                '0': '今季',
                '1': '下季',
                '-1': '上季',
                future: {
                    other: '{0} 季後'
                },
                past: {
                    other: '{0} 季前'
                }
            },
            'quarter-narrow': {
                '0': '今季',
                '1': '下季',
                '-1': '上季',
                future: {
                    other: '+{0}Q'
                },
                past: {
                    other: '-{0}Q'
                }
            },
            month: {
                '0': '本月',
                '1': '下個月',
                '-1': '上個月',
                future: {
                    other: '{0} 個月後'
                },
                past: {
                    other: '{0} 個月前'
                }
            },
            'month-short': {
                '0': '本月',
                '1': '下個月',
                '-1': '上個月',
                future: {
                    other: '{0} 個月後'
                },
                past: {
                    other: '{0} 個月前'
                }
            },
            'month-narrow': {
                '0': '本月',
                '1': '下個月',
                '-1': '上個月',
                future: {
                    other: '{0}個月後'
                },
                past: {
                    other: '{0}個月前'
                }
            },
            'week-narrow': {
                '0': '本星期',
                '1': '下星期',
                '-1': '上星期',
                future: {
                    other: '{0}星期後'
                },
                past: {
                    other: '{0}星期前'
                }
            },
            day: {
                '0': '今日',
                '1': '明日',
                '2': '後日',
                '-2': '前日',
                '-1': '昨日',
                future: {
                    other: '{0} 日後'
                },
                past: {
                    other: '{0} 日前'
                }
            },
            'day-short': {
                '0': '今日',
                '1': '明日',
                '2': '後日',
                '-2': '前日',
                '-1': '昨日',
                future: {
                    other: '{0} 日後'
                },
                past: {
                    other: '{0} 日前'
                }
            },
            'day-narrow': {
                '0': '今日',
                '1': '明日',
                '2': '後日',
                '-2': '前日',
                '-1': '昨日',
                future: {
                    other: '{0}日後'
                },
                past: {
                    other: '{0}日前'
                }
            },
            hour: {
                '0': '這個小時',
                future: {
                    other: '{0} 小時後'
                },
                past: {
                    other: '{0} 小時前'
                }
            },
            'hour-short': {
                '0': '這個小時',
                future: {
                    other: '{0} 小時後'
                },
                past: {
                    other: '{0} 小時前'
                }
            },
            minute: {
                '0': '這分鐘',
                future: {
                    other: '{0} 分鐘後'
                },
                past: {
                    other: '{0} 分鐘前'
                }
            },
            'minute-short': {
                '0': '這分鐘',
                future: {
                    other: '{0} 分鐘後'
                },
                past: {
                    other: '{0} 分鐘前'
                }
            },
            second: {
                '0': '現在',
                future: {
                    other: '{0} 秒後'
                },
                past: {
                    other: '{0} 秒前'
                }
            },
            'second-short': {
                '0': '現在',
                future: {
                    other: '{0} 秒後'
                },
                past: {
                    other: '{0} 秒前'
                }
            },
            'second-narrow': {
                '0': '現在',
                future: {
                    other: '{0}秒後'
                },
                past: {
                    other: '{0}秒前'
                }
            },
            nu: [
                'latn'
            ]
        }
    });
}
